<?xml version='1.0' encoding='UTF-8' standalone='yes'?>
<instrumentationManifest
     xmlns="http://schemas.microsoft.com/win/2004/08/events"
     xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events"
     xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <instrumentation>
    <counters xmlns="http://schemas.microsoft.com/win/2005/12/counters" schemaVersion="1.1">
      <provider
          applicationIdentity="appvetwclientres.dll"
          providerGuid="{2EA0B998-E7E8-41C6-8ABC-093083EA21D7}"
          providerType="userMode"
          symbol="MICROSOFT_APPV_CLIENT_PERFCOUNTERS">
        <counterSet
            description="Size of data streamed to disk for each package on the system."
            guid="{687D8F80-FFEA-4DE5-A41F-3E1C83378839}"
            instances="multiple"
            name="AppV Client Streamed Data Percentage"
            symbol="PERF_COUNTER_CLIENT_STREAMSIZESET"
            uri="Microsoft.AppV.Client.PerfCounters.StreamSizeCounterSet">
          <counter
              defaultScale="1"
              description="The percentage of data streamed from the primary feature of the package."
              detailLevel="standard"
              id="2"
              name="Primary Feature % Streamed"
              symbol="PERF_COUNTER_CLIENT_PFSTREAMPERCENTAGE"
              type="perf_counter_rawcount"
              uri="Microsoft.AppV.Client.PerfCounters.StreamSizeCounterSet.PrimaryFeatureStreamPercentage" />
       </counterSet>
      </provider>
    </counters>
    <events>
      <provider
          name="Microsoft-AppV-Client"
          symbol="PROVIDER_MICROSOFT_APPV_CLIENT"
          guid="{E4F68870-5AE8-4E5B-9CE7-CA9ED75B0245}"
          resourceFileName="%windir%\system32\appvetwclientres.dll"
          messageFileName="%windir%\system32\appvetwclientres.dll">
        <channels>
          <channel
              name="Microsoft-AppV-Client/Admin"
              message="$(string.Client.Channel.Admin)"
              chid="Adm"
              type="Admin"
              symbol="CHANNEL_APPV_CLIENT_ADMIN"
              isolation="System"
              enabled="true">
            <logging>
              <retention>false</retention>
              <maxSize>10485760</maxSize>
            </logging>
          </channel>
          <channel
              name="Microsoft-AppV-Client/Operational"
              message="$(string.Client.Channel.Operational)"
              chid="Ops"
              type="Operational"
              symbol="CHANNEL_APPV_CLIENT_OPERATIONAL"
              isolation="System"
              enabled="true">
            <logging>
              <retention>false</retention>
              <maxSize>10485760</maxSize>
            </logging>
          </channel>
          <channel
              name="Microsoft-AppV-Client/Virtual Applications"
              message="$(string.Client.Channel.VirtualApplications)"
              chid="VApp"
              type="Admin"
              symbol="CHANNEL_APPV_CLIENT_VIRTUAL_APPLICATIONS"
              isolation="Application"
              enabled="true">
            <logging>
              <retention>false</retention>
              <maxSize>10485760</maxSize>
            </logging>
          </channel>
        </channels>
        <levels>
        </levels>
        <keywords>
          <keyword
              name="Startup"
              symbol="KEYWORD_CLIENT_STARTUP"
              mask="0x000000000001"
              message="$(string.Client.Keyword.Startup)" />
          <keyword
              name="Shutdown"
              symbol="KEYWORD_CLIENT_SHUTDOWN"
              mask="0x000000000002"
              message="$(string.Client.Keyword.Shutdown)" />
          <keyword
              name="Logon"
              symbol="KEYWORD_CLIENT_LOGON"
              mask="0x000000000004"
              message="$(string.Client.Keyword.Logon)" />
          <keyword
              name="Logoff"
              symbol="KEYWORD_CLIENT_LOGOFF"
              mask="0x000000000008"
              message="$(string.Client.Keyword.Logoff)" />
          <keyword
              name="API"
              symbol="KEYWORD_CLIENT_API"
              mask="0x000000000010"
              message="$(string.Client.Keyword.API)" />
          <keyword
              name="ComponentStartup"
              symbol="KEYWORD_COMPONENT_STARTUP"
              mask="0x000000000020"
              message="$(string.Client.Keyword.ComponentStartup)" />
          <keyword
              name="Common"
              symbol="KEYWORD_CLIENT_COMMON"
              mask="0x000000000040"
              message="$(string.Client.Keyword.Common)" />
          <keyword
              name="Catalog"
              symbol="KEYWORD_CLIENT_CATALOG"
              mask="0x000000000080"
              message="$(string.Client.Keyword.Catalog)" />
          <keyword
              name="Publishing"
              symbol="KEYWORD_CLIENT_PUBLISHING"
              mask="0x000000000100"
              message="$(string.Client.Keyword.Publishing)" />
          <keyword
              name="EmbeddedScripting"
              symbol="KEYWORD_EMBEDDED_SCRIPTING"
              mask="0x000000000200"
              message="$(string.Client.Keyword.Embedded.Scripting)" />
          <keyword
              name="VFS"
              symbol="KEYWORD_VFS"
              mask="0x000000000400"
              message="$(string.Client.Keyword.VFS)" />
          <keyword
              name="VirtualServices"
              symbol="KEYWORD_VIRTUAL_SERVICES"
              mask="0x000000000800"
              message="$(string.Client.Keyword.VirtualServices)" />
          <keyword
              name="Settings"
              symbol="KEYWORD_SETTINGS"
              mask="0x000000001000"
              message="$(string.Client.Keyword.Settings)" />
          <keyword
              name="DynamicConfiguration"
              symbol="KEYWORD_DYNAMIC_CONFIGURATION"
              mask="0x000000002000"
              message="$(string.Client.Keyword.DynamicConfiguration)" />
          <keyword
              name="ClientManagement"
              symbol="KEYWORD_CLIENT_MANAGEMENT"
              mask="0x000000004000"
              message="$(string.Client.Keyword.ClientManagement)" />
          <keyword
              name="Subsystems"
              symbol="KEYWORD_SUBSYSTEMS"
              mask="0x000000008000"
              message="$(string.Client.Keyword.Subsystems)" />
          <keyword
              name="ClientCoExistence"
              symbol="KEYWORD_CLIENT_COEXISTENCE"
              mask="0x000000010000"
              message="$(string.Client.Keyword.ClientCoExistence)" />
          <keyword
              name="VREG"
              symbol="KEYWORD_VREG"
              mask="0x000000020000"
              message="$(string.Client.Keyword.VREG)" />
          <keyword
              name="Streaming"
              symbol="KEYWORD_STREAMING"
              mask="0x000000040000"
              message="$(string.Client.Keyword.Streaming)" />
          <keyword
              name="ClientStreamingUX"
              symbol="KEYWORD_CLIENT_STREAMING_UX"
              mask="0x000000080000"
              message="$(string.Client.Keyword.ClientStreamingUX)" />
          <keyword
              name="VirtualAppLaunch"
              symbol="KEYWORD_APP_LAUNCH"
              mask="0x000000100000"
              message="$(string.Client.Keyword.VirtualAppLaunch)" />
          <keyword
              name="VOBJ"
              symbol="KEYWORD_VOBJ"
              mask="0x000000200000"
              message="$(string.Client.Keyword.VOBJ)" />
          <keyword
              name="Reporting"
              symbol="KEYWORD_REPORTING"
              mask="0x000000400000"
              message="$(string.Client.Keyword.Reporting)" />
          <keyword
              name="PublishingRefresh"
              symbol="KEYWORD_PUBLISHING_REFRESH"
              mask="0x000000800000"
              message="$(string.Client.Keyword.PublishingRefresh)" />
          <keyword
              name="Integration"
              symbol="KEYWORD_INTEGRATION"
              mask="0x000001000000"
              message="$(string.Client.Keyword.Integration)" />
          <keyword
              name="SxS"
              symbol="KEYWORD_SXS"
              mask="0x000002000000"
              message="$(string.Client.Keyword.SxS)" />
        </keywords>
        <filters>
        </filters>
        <maps>
          <valueMap name="ComponentType" symbol="MAP_CLIENT_COMPONENT_TYPE">
            <map value="1" message="$(string.Client.Map.ComponentType.Controller)" symbol="_CONTROLLER" />
            <map value="2" message="$(string.Client.Map.ComponentType.StreamingManager)" symbol="_STREAMING_MANAGER" />
            <map value="3" message="$(string.Client.Map.ComponentType.CatalogManager)" symbol="_CATALOG_MANAGER" />
            <map value="4" message="$(string.Client.Map.ComponentType.VirtualizationManager)" symbol="_VIRTUALIZATION_MANAGER" />
            <map value="5" message="$(string.Client.Map.ComponentType.IntegrationManager)" symbol="_INTEGRATION_MANAGER" />
            <map value="6" message="$(string.Client.Map.ComponentType.PublishingManager)" symbol="_PUBLISHING_MANAGER" />
            <map value="7" message="$(string.Client.Map.ComponentType.SubsystemController)" symbol="_SUBSYSTEM_CONTROLLER" />    
            <map value="8" message="$(string.Client.Map.ComponentType.ScriptManager)" symbol="_SCRIPT_MANAGER" />    
            <map value="9" message="$(string.Client.Map.ComponentType.ReportingManager)" symbol="_REPORTING_MANAGER" />
          </valueMap>
          <valueMap name="ImpersonationLevel" symbol="MAP_CLIENT_IMPERSONATION_LEVEL">
            <!-- Note: The numeric values map to the SECURITY_IMPERSONATION_LEVEL enumeration, because the
                 source of the event messages using this map have these values.  However, the strings reference
                 RPC_C_IMP_LEVEL_* values, because the intent is to provide feedback to the caller about the
                 authority granted by a caller of the public COM API. -->
            <map value="0" message="$(string.Client.Map.ImpersonationLevel.Anonymous)" symbol="_ANONYMOUS" />
            <map value="1" message="$(string.Client.Map.ImpersonationLevel.Identify)" symbol="_IDENTIFY" />
            <map value="2" message="$(string.Client.Map.ImpersonationLevel.Impersonate)" symbol="_IMPERSONATE" />
            <map value="3" message="$(string.Client.Map.ImpersonationLevel.Delegate)" symbol="_DELEGATE" />
          </valueMap>
          <valueMap name="EmbeddedScriptingScope" symbol="MAP_CLIENT_EMBEDDED_SCRIPTING_SCOPE">
            <map value="0" message="$(string.Scripting.Map.Scope.User)" symbol="_USER" />
            <map value="1" message="$(string.Scripting.Map.Scope.Machine)" symbol="_MACHINE" />
          </valueMap>
        </maps>
        <tasks>
          <task
              name="ClientStartup"
              symbol="TASK_CLIENT_STARTUP"
              value="1"
              message="$(string.Client.Task.Startup)" />
          <task
              name="ClientShutdown"
              symbol="TASK_CLIENT_SHUTDOWN"
              value="2" 
              message="$(string.Client.Task.Shutdown)" />
          <task
              name="UserLogon"
              symbol="TASK_CLIENT_USER_LOGON"
              value="3" 
              message="$(string.Client.Task.UserLogon)" />
          <task
              name="UserLogoff"
              symbol="TASK_CLIENT_USER_LOGOFF"
              value="4" 
              message="$(string.Client.Task.UserLogoff)" />
          <task
              name="PolicyChange"
              symbol="TASK_CLIENT_POLICY_CHANGE"
              value="5" 
              message="$(string.Client.Task.PolicyChange)" />
          <task
              name="APIRequest"
              symbol="TASK_CLIENT_API_REQUEST"
              value="6" 
              message="$(string.Client.Task.APIRequest)" />
          <task
              name="Impersonation"
              symbol="TASK_CLIENT_IMPERSONATION"
              value="7" 
              message="$(string.Client.Task.Impersonation)" />
          <task
              name="ConfigurePackage"
              symbol="TASK_CLIENT_CONFIGURE_PACKAGE"
              value="8"
              message="$(string.Client.Task.ConfigurePackage)" />
          <task
              name="PublishPackage"
              symbol="TASK_CLIENT_PUBLISH_PACKAGE"
              value="9"
              message="$(string.Client.Task.PublishPackage)" />
          <task
              name="UnpublishPackage"
              symbol="TASK_CLIENT_UNPUBLISH_PACKAGE"
              value="10"
              message="$(string.Client.Task.UnpublishPackage)" />
          <task
              name="RemovePackage"
              symbol="TASK_CLIENT_REMOVE_PACKAGE"
              value="11"
              message="$(string.Client.Task.RemovePackage)" />
          <task
              name="ConfigurePackageGroup"
              symbol="TASK_CLIENT_CONFIGURE_PACKAGE_GROUP"
              value="12"
              message="$(string.Client.Task.ConfigurePackageGroup)" />
          <task
              name="PublishPackageGroup"
              symbol="TASK_CLIENT_PUBLISH_PACKAGE_GROUP"
              value="13"
              message="$(string.Client.Task.PublishPackageGroup)" />
          <task
              name="UnpublishPackageGroup"
              symbol="TASK_CLIENT_UNPUBLISH_PACKAGE_GROUP"
              value="14"
              message="$(string.Client.Task.UnpublishPackageGroup)" />
          <task
              name="RemovePackageGroup"
              symbol="TASK_CLIENT_REMOVE_PACKAGE_GROUP"
              value="15"
              message="$(string.Client.Task.RemovePackageGroup)" />
          <task
              name="ExecuteScripts"
              symbol="TASK_CLIENT_EXECUTE_EMBEDDED_SCRIPTS"
              value="16"
              message="$(string.Client.Task.ExecuteScripts)" />
          <task
              name="VFSRedirection"
              symbol="TASK_CLIENT_VFS_REDIRECTION"
              value="17"
              message="$(string.Client.Task.VFSRedirection)" />
          <task
              name="ConfigureVirtualServices"
              symbol="TASK_CONFIGURE_VIRTUAL_SERVICES"
              value="18"
              message="$(string.Client.Task.ConfigureVirtualServices)" />
          <task
              name="SettingChanges"
              symbol="TASK_CLIENT_SETTING_CHANGES"
              value="19"
              message="$(string.Client.Task.SettingChanges)" />
          <task
              name="ParseDynamicConfigurationFile"
              symbol="TASK_CLIENT_PARSE_DYNAMIC_CONFIGURATION_FILE"
              value="20"
              message="$(string.Client.Task.ParseDynamicConfigurationFile)" />
          <task
              name="PowerShellInvoke"
              symbol="TASK_POWERSHELL_INVOKE"
              value="21"
              message="$(string.Client.Task.PowerShellInvoke)" />
          <task
              name="SubsystemStartup"
              symbol="TASK_SUBSYSTEM_STARTUP"
              value="22"
              message="$(string.Client.Task.SubsystemStartup)" />
          <task
              name="ApplicationLaunch"
              symbol="TASK_APPLICATION_LAUNCH"
              value="23"
              message="$(string.Client.Task.ApplicationLaunch)" />
          <task
              name="VirtualEnvironmentStart"
              symbol="TASK_VIRTUAL_ENVIRONMENT_START"
              value="24"
              message="$(string.Client.Task.VirtualEnvironmentStart)" />

          <task
              name="DeleteUserState"
              symbol="TASK_DELETE_USER_STATE"
              value="25"
              message="$(string.Client.Task.DeleteUserState)" />
          <task
              name="BackgroundStreaming"
              symbol="TASK_BACKGROUND_STREAMING"
              value="26"
              message="$(string.Client.Task.BackgroundStreaming)" />
          <task
              name="PSObjectGetPropertyValue"
              symbol="TASK_PSOBJECT_GET_PROPERTY_VALUE"
              value="27"
              message="$(string.Client.Task.PSObjectGetPropertyValue)" />
          <task
              name="PSObjectInvokeMethod"
              symbol="TASK_PSOBJECT_INVOKE_METHOD"
              value="28"
              message="$(string.Client.Task.PSObjectInvokeMethod)" />
          <task
              name="ConnectToAppVClientService"
              symbol="TASK_CONNECT_TO_CLIENT_SERVICE"
              value="29"
              message="$(string.Client.Task.ConnectToAppVClientService)" />
          <task
              name="PowershellProcess"
              symbol="POWERSHELL_PROCESS"
              value="30"
              message="$(string.Client.Task.PowershellProcess)" />
          <task
              name="CreateReportingData"
              symbol="TASK_CREATE_REPORTING_DATA"
              value="31"
              message="$(string.Client.Task.CreateReportingData)" />
          <task
              name="UploadReportingData"
              symbol="TASK_UPLOAD_REPORTING_DATA"
              value="32"
              message="$(string.Client.Task.UploadReportingData)" />
          <task
              name="GeneralStreaming"
              symbol="TASK_STREAMING"
              value="33"
              message="$(string.Client.Task.Streaming)" />
          <task
              name="RepairPackage"
              symbol="TASK_REPAIR_PACKAGE"
              value="34"
              message="$(string.Client.Task.RepairPackage)" />
          <task
              name="RepairPackageGroup"
              symbol="TASK_REPAIR_PACKAGE_GROUP"
              value="35"
              message="$(string.Client.Task.RepairPackageGroup)" />
          <task
              name="PublishingRefresh"
              symbol="TASK_PUBLISHING_REFRESH"
              value="36"
              message="$(string.Client.Task.PublishingRefresh)" />
          <task
              name="StopPackageOrGroup"
              symbol="TASK_STOP_PACKAGE_OR_GROUP"
              value="37"
              message="$(string.Client.Task.StopPackageOrGroup)" />
          <task
              name="Integration"
              symbol="TASK_INTEGRATION"
              value="38"
              message="$(string.Client.Task.Integration)" />
          <task
              name="SxS"
              symbol="TASK_SXS"
              value="39"
              message="$(string.Client.Task.SxS)" />

        </tasks>
        <opcodes>
        </opcodes>
        <templates>
          <template tid="TEMPLATE_CLIENT_WIN32ERROR">
            <data name="Error" inType="win:UInt32" outType="win:Win32Error" />
          </template>
          <template tid="TEMPLATE_CLIENT_HRESULT">
            <data name="Error" inType="win:Int32" outType="win:HResult" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING">
            <data name="Item" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING_HRESULT">
            <data name="Name" inType="win:UnicodeString" />
            <data name="HResult" inType="win:Int32" outType="win:HResult" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING_STRING">
            <data name="Item1" inType="win:UnicodeString" />
            <data name="Item2" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_APPVERROR">
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING_APPVERROR">
            <data name="StringParam" inType="win:UnicodeString" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING_STRING_APPVERROR">
            <data name="StringParam1" inType="win:UnicodeString" />
            <data name="StringParam2" inType="win:UnicodeString" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_ITEM_WIN32ERROR">
            <data name="Item" inType="win:UnicodeString" />
            <data name="Error" inType="win:UInt32" outType="win:Win32Error" />
          </template>
          <template tid="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_WIN32ERROR">
            <data name="ScriptScope" inType="win:UInt32" map="EmbeddedScriptingScope" />
            <data name="EventType" inType="win:UnicodeString" />
            <data name="CommandLine" inType="win:UnicodeString" />
            <data name="Error" inType="win:UInt32" outType="win:Win32Error" />
          </template>
          <template tid="TEMPLATE_CLIENT_SCRIPTINGSCOPE_GUID_STRING">
            <data name="ScriptScope" inType="win:UInt32" map="EmbeddedScriptingScope" />
            <data name="Package" inType="win:GUID"/>
            <data name="EventType" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_SCRIPTINGSCOPE_GUID_STRING_MULT">
            <data name="ScriptScope" inType="win:UInt32" map="EmbeddedScriptingScope" />
            <data name="Package" inType="win:GUID"/>
            <data name="EventType" inType="win:UnicodeString" />
            <data name="UserSid" inType="win:UnicodeString" />
            <data name="CommandLine" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_ULONG">
            <data name="Timeout" inType="win:UInt64" outType="xs:unsignedLong" />
            <data name="ScriptScope" inType="win:UInt32" map="EmbeddedScriptingScope" />
            <data name="EventType" inType="win:UnicodeString" />
            <data name="CommandLine" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_CATALOG_FOLDER">
            <data name="LastFolder" inType="win:UnicodeString" outType="xs:string"/>
            <data name="ReqFolder" inType="win:UnicodeString" outType="xs:string"/>
          </template>
          <template tid="TEMPLATE_CLIENT_CATALOG_FOLDER_WIN32ERROR">
            <data name="LastFolder" inType="win:UnicodeString" outType="xs:string"/>
            <data name="ReqFolder" inType="win:UnicodeString" outType="xs:string"/>
            <data name="Error" inType="win:Int32" />
          </template>
          <template tid="TEMPLATE_CLIENT_CONFIGURE_PACKAGE">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="Folder" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_FAILURE">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="Folder" inType="win:UnicodeString" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_PUBLISH_PACKAGE">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_CLIENT_GUID_RC">
            <data name="Package" inType="win:GUID"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_IMPERSONATION_LEVEL">
            <data name="CurrentImpersonationLevel" inType="win:UInt32" map="ImpersonationLevel" />
          </template>
          <template tid="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP">
            <data name="PackageGroup" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP_FAILURE">
            <data name="PackageGroup" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP">
            <data name="PackageGroup" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_GUID_STRING_ERROR">
            <data name="tGuid" inType="win:GUID"/>
            <data name="tString" inType="win:UnicodeString" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_LOAD_XML_ERROR">
            <data name="Error" inType="win:UInt32" outType="win:HexInt32" />
            <data name="Reason" inType="win:UnicodeString" />
            <data name="line" inType="win:Int64" />
            <data name="column" inType="win:Int64" />
            <data name="offset" inType="win:Int64" />
          </template>
          <template tid="TEMPLATE_VALIDATE_XML_ERROR">
            <data name="Error" inType="win:Int32" outType="win:HResult" />
            <data name="Reason" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_POWERSHELL_INVOKE_ERROR_WARNING">
            <data name="Command" inType="win:UnicodeString" outType="xs:string"/>
            <data name="ErrorWarning" inType="win:UnicodeString" outType="xs:string"/>
          </template>
          <template tid="TEMPLATE_SUBSYSTEM_STARTUP_FAILURE">
            <data name="PID" inType="win:UInt32" outType="win:PID"/>
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="SubsystemName" inType="win:UnicodeString" outType="xs:string"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_GUID_WIN32ERROR">
            <data name="Package" inType="win:GUID"/>
            <data name="Error" inType="win:UInt32" outType="win:Win32Error" />
          </template>
          <template tid="TEMPLATE_CLIENT_GUID">
            <data name="Package" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_APPV_ERROR">
            <data name="ErrorHigh" inType="win:UInt64" outType="win:HexInt64" />
            <data name="ErrorLow" inType="win:UInt64" outType="win:HexInt64" />
          </template>
          <template tid="TEMPLATE_COM_ERROR">
            <data name="HResult" inType="win:Int32" />
          </template>
          <template tid="TEMPLATE_CLIENT_STRING_GUID_PID_RC">
            <data name="ProcessName" inType="win:UnicodeString" />
            <data name="Package" inType="win:GUID"/>
            <data name="Pid" inType="win:UInt32" outType="win:PID" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_PACKAGE_AND_VERSION">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_PACKAGE_VERSION_AND_HR">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="Hresult" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_GROUP_AND_VERSION">
            <data name="ConnectionGroup" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_GROUP_AND_VERSION_AND_RC_AND_SID">
            <data name="ConnectionGroup" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
            <data name="Sid" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_PACKAGE_VERSION_ACTIVITY">
            <data name="Package" inType="win:GUID" />
            <data name="Version" inType="win:GUID" />
            <data name="ActivityID" inType="win:UInt64" />
          </template>
          <template tid="TEMPLATE_GROUP_VERSION_ACTIVITY">
            <data name="ConnectionGroup" inType="win:GUID" />
            <data name="Version" inType="win:GUID" />
            <data name="ActivityID" inType="win:UInt64" />
          </template>
          <template tid="TEMPLATE_GUID_GUID">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_GUID_GUID_RC">
            <data name="Package" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_GROUP_AND_VERSION_PACKAGE_AND_VERSION">
            <data name="ConnectionGroup" inType="win:GUID"/>
            <data name="GroupVersion" inType="win:GUID"/>
            <data name="Package" inType="win:GUID"/>
            <data name="PackageVersion" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_STRING_BOOLEAN">
            <data name="String" inType="win:UnicodeString"/>
            <data name="Flag"  inType="win:Boolean"/>
          </template>
          <template tid="TEMPLATE_UINT">
            <data name="Value" inType="win:UInt32" />
          </template>
          <template tid="TEMPLATE_UINT_UINT">
            <data name="Value1" inType="win:UInt32" />
            <data name="Value2" inType="win:UInt32" />
          </template>
          <template tid="TEMPLATE_UINT_STRING">
            <data name="Value" inType="win:UInt32" />
            <data name="String" inType="win:UnicodeString"/>
          </template>
          <template tid="TEMPLATE_UINT_APPVRC">
            <data name="Value" inType="win:UInt32" />
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_GUID_GUID_GUID">
            <data name="Guid1" inType="win:GUID"/>
            <data name="Guid2" inType="win:GUID"/>
            <data name="Guid3" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_STRING_BOOLEAN_RC">
            <data name="String" inType="win:UnicodeString"/>
            <data name="Flag"  inType="win:Boolean"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_STRING_BOOLEAN_BOOLEAN_RC">
            <data name="String" inType="win:UnicodeString"/>
            <data name="Flag1"  inType="win:Boolean"/>
            <data name="Flag2"  inType="win:Boolean"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_CLIENT_ID_VERSION_PATH">
            <data name="Id" inType="win:GUID"/>
            <data name="Version" inType="win:GUID"/>
            <data name="Path" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_GUID_STRING_HRESULT">
            <data name="tGuid" inType="win:GUID"/>
            <data name="tString" inType="win:UnicodeString" />
            <data name="HResult" inType="win:Int32" outType="win:HResult" />
          </template>
          <template tid="TEMPLATE_STRING_PID">
            <data name="File" inType="win:UnicodeString" />
            <data name="Pid" inType="win:Pointer" />
          </template>
          <template tid="TEMPLATE_STRING_PID_SID">
            <data name="File" inType="win:UnicodeString" />
            <data name="Pid" inType="win:Pointer" />
            <data name="Sid" inType="win:UnicodeString" />
          </template>
          <template tid="TEMPLATE_GUID_GUID_ULONG_ULONG">
            <data name="VirtualEnvironmentId" inType="win:GUID" />
            <data name="VirtualEnvironmentVersion" inType="win:GUID" />
            <data name="ErrorHigh" inType="win:UInt64" outType="win:HexInt64" />
            <data name="ErrorLow" inType="win:UInt64" outType="win:HexInt64" />
          </template>
          <template tid="TEMPLATE_CLIENT_PUBLISH_PACKAGE_FAILURE">
            <data name="PackageId" inType="win:GUID"/>
            <data name="PackageVersion" inType="win:GUID"/>
            <data name="GroupId" inType="win:GUID"/>
            <data name="GroupVersion" inType="win:GUID"/>
            <data name="ErrorHigh" inType="win:UInt32" outType="win:HexInt32" />
            <data name="ErrorLow" inType="win:UInt32" outType="win:HexInt32" />
          </template>
          <template tid="TEMPLATE_PACKAGEMONIKER_PACKAGEGROUPMONIKER">
            <data name="PackageId" inType="win:GUID"/>
            <data name="PackageVersion" inType="win:GUID"/>
            <data name="GroupId" inType="win:GUID"/>
            <data name="GroupVersion" inType="win:GUID"/>
          </template>
          <template tid="TEMPLATE_PACKAGEGROUPMONIKER_PACKAGEMONIKER">
            <data name="GroupId" inType="win:GUID"/>
            <data name="GroupVersion" inType="win:GUID"/>
            <data name="PackageId" inType="win:GUID"/>
            <data name="PackageVersion" inType="win:GUID"/>
          </template>
        </templates>
        <events>
          <!-- Client Service events: 1-100 -->
          <event value="1" level="win:Informational" channel="Ops" keywords="Startup" task="ClientStartup"
              opcode="win:Start" symbol="APPV_CLIENT_Evt_ServiceStarted" version="1" message="$(string.Client.Event.ServiceStartup)" />
          <event value="2" level="win:Informational" channel="Ops" keywords="Shutdown" task="ClientShutdown"
              opcode="win:Stop" symbol="APPV_CLIENT_Evt_ServiceShutdown" version="1" message="$(string.Client.Event.ServiceShutdown)" />
          <event value="3" level="win:Error" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="Startup" task="ClientStartup"
              opcode="win:Start" symbol="APPV_CLIENT_Evt_CmpLoadFailed" version="1" message="$(string.Client.Event.CmpLoadFailed)" />
          <event value="4" level="win:Error" template="TEMPLATE_CLIENT_WIN32ERROR" channel="Adm" keywords="Startup Logon" task="ClientStartup"
              opcode="win:Start" symbol="APPV_CLIENT_Evt_EnumSessionsFailed" version="1" message="$(string.Client.Event.EnumSessionsFailed)" />
          <event value="5" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Logon" task="UserLogon"
              opcode="win:Start" symbol="APPV_CLIENT_Evt_UserLogonFailed" version="1" message="$(string.Client.Event.UserLogonFailed)" />
          <event value="6" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Logoff" task="UserLogoff"
              opcode="win:Stop" symbol="APPV_CLIENT_Evt_UserLogoffFailed" version="1" message="$(string.Client.Event.UserLogoffFailed)" />
          <event value="7" level="win:Error" template="TEMPLATE_CLIENT_HRESULT" channel="Adm" keywords="API" task="APIRequest"
              opcode="win:Send" symbol="APPV_CLIENT_Evt_CoImpersonateFailed" version="1" message="$(string.Client.Event.CoImpersonateFailed)" />
          <event value="8" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Logon" task="UserLogon"
              opcode="win:Start" symbol="APPV_CLIENT_Evt_APILogonFailed" version="1" message="$(string.Client.Event.APILogonFailed)" />
          <event value="9" level="win:Error" template="TEMPLATE_CLIENT_IMPERSONATION_LEVEL" channel="Adm" keywords="API" task="APIRequest"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_APIRequiresMinimumImpersonateLevel" version="1" message="$(string.Client.Event.APIRequiresMinimumImpersonateLevel)" />
          <event value="10" level="win:Error" channel="Adm" keywords="API" task="APIRequest"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_APIAccessDenied" version="1" message="$(string.Client.Event.APIAccessDenied)" />
          <event value="11" level="win:Warning" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Startup" task="ClientStartup"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_PowerNotificationRegistrationFailure" version="1" message="$(string.Client.Event.PowerNotificationRegistrationFailure)" />
          <event value="12" level="win:Warning" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Shutdown" task="ClientShutdown"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_PowerNotificationUnregistrationFailure" version="1" message="$(string.Client.Event.PowerNotificationUnregistrationFailure)" />

          <!-- Client Service API (COM) method events: 101-200 -->
          <event 
              value="101" 
              level="win:Informational" 
              template="TEMPLATE_CLIENT_STRING" 
              channel="Ops" 
              keywords="" 
              task="APIRequest" 
              opcode="win:Start" 
              symbol="APPV_CLIENT_Evt_PublicApi_EnterComMethod" 
              version="1" 
              message="$(string.Client.Event.PublicApi.EnterComMethod)"
              />

          <event 
              value="102" 
              level="win:Informational" 
              template="TEMPLATE_CLIENT_STRING_HRESULT" 
              channel="Ops" 
              keywords="" 
              task="APIRequest" 
              opcode="win:Stop" 
              symbol="APPV_CLIENT_Evt_PublicApi_ExitComMethod" 
              version="1" 
              message="$(string.Client.Event.PublicApi.ExitComMethod)" 
              /> 

          <!-- Orchestration events: 1001-2000 -->
          <event value="1001" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Shutdown" task="ClientShutdown"
                 opcode="win:Stop" symbol="APPV_CLIENT_Evt_ActiveProcessingCouldNotBeShutdown" version="1"
                 message="$(string.Client.Event.ActiveProcessingCouldNotBeShutdown)" />
          <event value="1002" level="win:Informational" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE" channel="Ops" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageConfigured" version="1"
                 message="$(string.Client.Event.PackageConfigured)" />
          <event value="1003" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE" channel="Ops" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackagePublished" version="1"
                 message="$(string.Client.Event.PackagePublished)" />
          <event value="1004" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE" channel="Ops" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackagePublishedGlobally" version="1"
                 message="$(string.Client.Event.PackagePublishedGlobally)" />
          <event value="1005" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE" channel="Ops" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageUnpublished" version="1"
                 message="$(string.Client.Event.PackageUnpublished)" />
          <event value="1006" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE" channel="Ops" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageUnpublishedGlobally" version="1"
                 message="$(string.Client.Event.PackageUnpublishedGlobally)" />
          <event value="1007" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE" channel="Ops" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageRemoved" version="1"
                 message="$(string.Client.Event.PackageRemoved)" />
          <event value="1008" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_FAILURE" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageConfigurationFailed" version="1"
                 message="$(string.Client.Event.PackageConfigurationFailed)" />
          <event value="1009" level="win:Informational" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                 task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupConfigured" version="1"
                 message="$(string.Client.Event.PackageGroupConfigured)" />
          <event value="1010" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP_FAILURE" channel="Adm" keywords="Publishing"
                task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupConfigurationFailed" version="1"
                message="$(string.Client.Event.PackageGroupConfigurationFailed)" />
          <event value="1011" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupPublished" version="1"
                message="$(string.Client.Event.PackageGroupPublished)" />
          <event value="1012" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupPublishedGlobally" version="1"
                 message="$(string.Client.Event.PackageGroupPublishedGlobally)" />
          <event value="1013" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupUnpublished" version="1"
                 message="$(string.Client.Event.PackageGroupUnpublished)" />
          <event value="1014" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupUnpublishedGlobally" version="1"
                 message="$(string.Client.Event.PackageGroupUnpublishedGlobally)" />
          <event value="1015" level="win:Informational" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Ops" keywords="Publishing"
                 task="RemovePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGroupRemoved" version="1"
                 message="$(string.Client.Event.PackageGroupRemoved)" />
          <event value="1016" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishPackageInConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.UnpublishPackageInConnectionGroupFailed)" />
          <event value="1017" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageInConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.RemovePackageInConnectionGroupFailed)" />
          <event value="1018" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserUnpublishRunningPackageFailed" version="1"
                 message="$(string.Client.Event.UserUnpublishRunningPackageFailed)" />
          <event value="1019" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalUnpublishRunningPackageFailed" version="1"
                 message="$(string.Client.Event.GlobalUnpublishRunningPackageFailed)" />
          <event value="1020" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemoveRunningPackageFailed" version="1"
                 message="$(string.Client.Event.RemoveRunningPackageFailed)" />
          <event value="1021" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserUnpublishRunningConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.UserUnpublishRunningConnectionGroupFailed)" />
          <event value="1022" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalUnpublishRunningConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.GlobalUnpublishRunningConnectionGroupFailed)" />
          <event value="1023" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="RemovePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemoveRunningConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.RemoveRunningConnectionGroupFailed)" />
          <event value="1024" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ReconfigureNonexistentPackage" version="1"
                 message="$(string.Client.Event.ReconfigureNonexistentPackage)" />
          <event value="1025" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedIncompatibleArchitecture" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedIncompatibleArchitecture)" />
          <event value="1026" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedOSMismatch" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedOSMismatch)" />
          <event value="1027" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedDeploymentConfigNotFound" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedDeploymentConfigNotFound)" />
          <event value="1028" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedDeploymentConfigInvalid" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedDeploymentConfigInvalid)" />
          <event value="1029" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedDeploymentConfigIDMismatch" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedDeploymentConfigIDMismatch)" />
          <event value="1030" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.ConfigurePackageFailedInsufficientRights)" />
          <event value="1031" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGloballyFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.PublishPackageGloballyFailedInsufficientRights)" />
          <event value="1032" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageFailedPackageNotConfigured" version="1"
                 message="$(string.Client.Event.PublishPackageFailedPackageNotConfigured)" />
          <event value="1033" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageFailedUserConfigNotFound" version="1"
                 message="$(string.Client.Event.PublishPackageFailedUserConfigNotFound)" />
          <event value="1034" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageFailedUserConfigInvalid" version="1"
                 message="$(string.Client.Event.PublishPackageFailedUserConfigInvalid)" />
          <event value="1035" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageFailedUserConfigIDMismatch" version="1"
                 message="$(string.Client.Event.PublishPackageFailedUserConfigIDMismatch)" />
          <event value="1036" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGloballyFailedUserConfigSupplied" version="1"
                 message="$(string.Client.Event.PublishPackageGloballyFailedUserConfigSupplied)" />
          <event value="1037" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishPackageGloballyFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.UnpublishPackageGloballyFailedInsufficientRights)" />
          <event value="1038" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishPackageFailedPackageNotPublished" version="1"
                 message="$(string.Client.Event.UnpublishPackageFailedPackageNotPublished)" />
          <event value="1039" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageFailedPackageNotConfigured" version="1"
                 message="$(string.Client.Event.RemovePackageFailedPackageNotConfigured)" />
          <event value="1040" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.RemovePackageFailedInsufficientRights)" />
          <event value="1041" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RepairPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RepairPackageFailedPackageNotConfigured" version="1"
                 message="$(string.Client.Event.RepairPackageFailedPackageNotConfigured)" />
          <event value="1042" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RepairPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RepairPackageSucceededButIsConfiguredInGroup" version="1"
                 message="$(string.Client.Event.RepairPackageSucceededButIsConfiguredInGroup)" />
          <event value="1043" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageGroupFailedDescriptorNotFound" version="1"
                 message="$(string.Client.Event.ConfigurePackageGroupFailedDescriptorNotFound)" />
          <event value="1044" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageGroupFailedPackageNotConfigured" version="1"
                 message="$(string.Client.Event.ConfigurePackageGroupFailedPackageNotConfigured)" />
          <event value="1045" level="win:Error" template="TEMPLATE_CLIENT_ID_VERSION_PATH" channel="Adm" keywords="Publishing"
                 task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageGroupFailedDescriptorInvalid" version="1"
                 message="$(string.Client.Event.ConfigurePackageGroupFailedDescriptorInvalid)" />
          <event value="1046" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageGroupFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.ConfigurePackageGroupFailedInsufficientRights)" />
          <event value="1047" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupFailedPackageGroupNotConfigured" version="1"
                 message="$(string.Client.Event.PublishPackageGroupFailedPackageGroupNotConfigured)" />
          <event value="1048" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupFailedPackageNotPublished" version="1"
                 message="$(string.Client.Event.PublishPackageGroupFailedPackageNotPublished)" />
          <event value="1049" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupGloballyFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.PublishPackageGroupGloballyFailedInsufficientRights)" />
          <event value="1050" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishPackageGroupFailedPackageGroupNotPublished" version="1"
                 message="$(string.Client.Event.UnpublishPackageGroupFailedPackageGroupNotPublished)" />
          <event value="1051" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishPackageGroupGloballyFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.UnpublishPackageGroupGloballyFailedInsufficientRights)" />
          <event value="1052" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RemovePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageGroupFailedPackageGroupNotConfigured" version="1"
                 message="$(string.Client.Event.RemovePackageGroupFailedPackageGroupNotConfigured)" />
          <event value="1053" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RemovePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageGroupFailedInsufficientRights" version="1"
                 message="$(string.Client.Event.RemovePackageGroupFailedInsufficientRights)" />
          <event value="1054" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="RepairPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_RepairPackageGroupFailedPackageGroupNotConfigured" version="1"
                 message="$(string.Client.Event.RepairPackageGroupFailedPackageGroupNotConfigured)" />
          <event value="1055" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserUnpublishRunningPackageScheduled" version="1"
                 message="$(string.Client.Event.UserUnpublishRunningPackageScheduled)" />
          <event value="1056" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalUnpublishRunningPackageScheduled" version="1"
                 message="$(string.Client.Event.GlobalUnpublishRunningPackageScheduled)" />
          <event value="1057" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" 
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PendingUnpublishTaskVECannotStartPackageGlobal" version="1"
                 message="$(string.Client.Event.PendingUnpublishTaskVECannotStartPackageGlobal)" />
          <event value="1058" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PendingUnpublishTaskVECannotStartGroupGlobal" version="1"
                 message="$(string.Client.Event.PendingUnpublishTaskVECannotStartGroupGlobal)" />
          <event value="1059" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PendingUnpublishTaskVECannotStartPackageUser" version="1"
                 message="$(string.Client.Event.PendingUnpublishTaskVECannotStartPackageUser)" />
          <event value="1060" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PendingUnpublishTaskVECannotStartGroupUser" version="1"
                 message="$(string.Client.Event.PendingUnpublishTaskVECannotStartGroupUser)" />
          <event value="1061" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserUnpublishRunningPackageGroupScheduled" version="1"
                 message="$(string.Client.Event.UserUnpublishRunningPackageGroupScheduled)" />
          <event value="1062" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="UnpublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalUnpublishRunningPackageGroupScheduled" version="1"
                 message="$(string.Client.Event.GlobalUnpublishRunningPackageGroupScheduled)" />
          <event value="1063" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserPublishRunningPackageFailed" version="1"
                 message="$(string.Client.Event.UserPublishRunningPackageFailed)" />
          <event value="1064" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalPublishRunningPackageFailed" version="1"
                 message="$(string.Client.Event.GlobalPublishRunningPackageFailed)" />
          <event value="1065" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserPublishRunningConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.UserPublishRunningConnectionGroupFailed)" />
          <event value="1066" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalPublishRunningConnectionGroupFailed" version="1"
                 message="$(string.Client.Event.GlobalPublishRunningConnectionGroupFailed)" />
          <event value="1067" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserPublishRunningPackageScheduled" version="1"
                 message="$(string.Client.Event.UserPublishRunningPackageScheduled)" />
          <event value="1068" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalPublishRunningPackageScheduled" version="1"
                 message="$(string.Client.Event.GlobalPublishRunningPackageScheduled)" />
          <event value="1069" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_UserPublishRunningPackageGroupScheduled" version="1"
                 message="$(string.Client.Event.UserPublishRunningPackageGroupScheduled)" />
          <event value="1070" level="win:Informational" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Ops" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_GlobalPublishRunningPackageGroupScheduled" version="1"
                 message="$(string.Client.Event.GlobalPublishRunningPackageGroupScheduled)" />
          <event value="1071" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_VEBlockedByPublishingPackage" version="1"
                 message="$(string.Client.Event.VEBlockedByPublishingPackage)" />
          <event value="1072" level="win:Informational" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing"
                 task="PublishPackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_VEBlockedByPublishingGroup" version="1"
                 message="$(string.Client.Event.VEBlockedByPublishingGroup)" />
          <event value="1073" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" 
                 keywords="Publishing" task="PublishPackage" opcode="win:Info" 
                 symbol="APPV_CLIENT_Evt_PendingPublishFailedNoNetwork" version="1"
                 message="$(string.Client.Event.PendingPublishFailedNoNetwork)" />
          <event value="1074" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="RemovePackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemovePackageBlockedByPendingTask" version="1"
                 message="$(string.Client.Event.RemovePackageBlockedByPendingTask)" />
          <event value="1075" level="win:Error" template="TEMPLATE_GROUP_VERSION_ACTIVITY" channel="Adm" keywords="Publishing"
                 task="RemovePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_RemoveGroupBlockedByPendingTask" version="1"
                 message="$(string.Client.Event.RemoveGroupBlockedByPendingTask)" />
          <event value="1076" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" channel="Adm" keywords="Publishing" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_UserSIDImpersonationFailed" version="1"
                 message="$(string.Client.Event.UserSIDImpersonationFailed)" />
          <event value="1077" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageFailedDueToErrorInitializingIntegrationSettings" version="1"
                 message="$(string.Client.Event.PublishPackageFailedDueToErrorInitializingIntegrationSettings)" />
          <event value="1078" level="win:Warning" template="TEMPLATE_PACKAGEMONIKER_PACKAGEGROUPMONIKER" channel="Adm" keywords="Publishing"
                 task="PublishPackage" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageWarningDueToGlobalHybridGroup" version="1"
                 message="$(string.Client.Event.PublishPackageWarningDueToGlobalHybridGroup)" />
          <event value="1079" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_UpdateDriverMappingsOnPackageAddFailed" version="1"
                message="$(string.Client.Event.UpdateDriverMappingsOnPackageAddFailed)" />
          <event value="1080" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="Publishing" task="RemovePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_UpdateDriverMappingsOnPackageRemoveFailed" version="1"
                message="$(string.Client.Event.UpdateDriverMappingsOnPackageRemoveFailed)" />
          <event value="1082" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="Publishing" task="PublishPackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_UpdateDriverMappingsOnPackagePublishFailed" version="1"
                message="$(string.Client.Event.UpdateDriverMappingsOnPackagePublishFailed)" />
          <event value="1083" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="Publishing" task="UnpublishPackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_UpdateDriverMappingsOnPackageUnpublishFailed" version="1"
                message="$(string.Client.Event.UpdateDriverMappingsOnPackageUnpublishFailed)" />

          <!-- Catalog events: 2001-3000 -->
          <event value="2001" level="win:Error" template="TEMPLATE_CLIENT_CATALOG_FOLDER_WIN32ERROR" channel="Adm" keywords="Catalog Startup Logon" 
            opcode="win:Info" symbol="APPV_CLIENT_Evt_MigrateCatalogFolderFailed" version="1" task="UserLogon"
            message="$(string.Client.Event.MigrateCatalogFolderFailed)" />
          <event value="2002" level="win:Warning" template="TEMPLATE_CLIENT_CATALOG_FOLDER_WIN32ERROR" channel="Adm" keywords="Catalog Startup Logon"
            opcode="win:Info" symbol="APPV_CLIENT_Evt_MigrateCatalogFolderWarning" version="1" task="UserLogon"
            message="$(string.Client.Event.MigrateCatalogFolderWarning)" />
          <event value="2003" level="win:Warning" template="TEMPLATE_CLIENT_CATALOG_FOLDER" channel="Adm" keywords="Catalog Startup Logon"
            opcode="win:Info" symbol="APPV_CLIENT_Evt_MigrateCatalogFolderTargetExists" version="1" task="UserLogon"
            message="$(string.Client.Event.MigrateCatalogFolderTargetExists)" />
          <event value="2004" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Startup Catalog"
            opcode="win:Info" symbol="APPV_CLIENT_Evt_CouldNotGetCatalogFolder" version="1"
            message="$(string.Client.Event.CouldNotGetCatalogFolder)" />
          <event value="2005" symbol="APPV_CLIENT_Evt_CorruptPackageDetectedAndRemoved" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID" opcode="win:Info"
                 keywords="Startup Catalog" task="ClientStartup" message="$(string.Client.Event.CorruptPackageDetectedAndRemoved)" />
          <event value="2006" symbol="APPV_CLIENT_Evt_CorruptPackageGroupDetectedAndRemoved" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID" opcode="win:Info"
                 keywords="Startup Catalog" task="ClientStartup" message="$(string.Client.Event.CorruptPackageGroupDetectedAndRemoved)" />

          <!-- Impersonation events: 3001-4000 -->
          <event value="3001" level="win:Critical" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Common" task="Impersonation"
                 opcode="win:Stop" symbol="APPV_CLIENT_Evt_RestoreToImpersonatedFailed" version="1"
                 message="$(string.Client.Event.RestoreImpersonationFailed)" />
          <event value="3002" level="win:Critical" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Common" task="Impersonation"
                 opcode="win:Stop" symbol="APPV_CLIENT_Evt_RestoreToDeimpersonatedFailed" version="1"
                 message="$(string.Client.Event.RestoreImpersonationFailed)" />

          <!-- EmbeddedScripting events: 4001-5000 -->
          <event value="4001" level="win:Error" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_WIN32ERROR" channel="Adm" keywords="EmbeddedScripting" 
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptLauncherCreateProcessFailed" version="1" task="ExecuteScripts" 
                 message="$(string.Scripting.Event.CreateProcessFailed)" />
          <event value="4002" level="win:Error" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_ULONG" channel="Adm" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptLauncherTimeoutElapsed" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.TimeoutElapsed)" />
          <event value="4004" level="win:Informational" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_GUID_STRING_MULT" channel="Ops" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptLauncherAboutToCreateProcess" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.AboutToCreateProcess)" />
          <event value="4005" level="win:Informational" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_GUID_STRING" channel="Ops" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptDefinedButNotEnabled" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.ScriptDefinedButNotEnabled)" />
          <event value="4006" level="win:Error" template="TEMPLATE_GUID_STRING_ERROR" channel="Adm" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ManifestScriptParsingFailed" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.ManifestScriptParsingFailed)" />
          <event value="4007" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptEnabledReadError" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.ScriptEnabledReadError)" />
          <event value="4008" level="win:Warning" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_ULONG" channel="Adm" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptLauncherIgnoreElapsedTimeout" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.IgnoreElapsedTimeout)" />
          <event value="4009" level="win:Error" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_WIN32ERROR" channel="Adm" keywords="EmbeddedScripting" 
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptExitErrorRollback" version="1" task="ExecuteScripts" 
                 message="$(string.Scripting.Event.ScriptExitErrorRollback)" />
          <event value="4010" level="win:Warning" template="TEMPLATE_CLIENT_SCRIPTINGSCOPE_STRINGS_WIN32ERROR" channel="Adm" keywords="EmbeddedScripting" 
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptExitErrorIgnored" version="1" task="ExecuteScripts" 
                 message="$(string.Scripting.Event.ScriptExitErrorIgnored)" />
          <event value="4011" level="win:Warning" channel="Adm" keywords="EmbeddedScripting"
		             opcode="win:Info" symbol="APPV_CLIENT_Evt_ScriptingFailedToRevertToSelf" version="1" task="ExecuteScripts"
		             message="$(string.Scripting.Event.ScriptingFailedToRevertToSelf)" />

          <!-- VFS events: 5001-6000 -->
          <event value="5001" level="win:Informational" channel="VApp" keywords="VFS" task="VFSRedirection" opcode="win:Info" version="1"
                 symbol="APPV_CLIENT_Evt_VfsRenameFailedForMergedDirectory"
                 message="$(string.Client.Event.VfsRenameFailedForMergedDirectory)" />
          <event value="5002" level="win:Informational" channel="VApp" keywords="VFS" task="VFSRedirection" opcode="win:Info" version="1"
                 symbol="APPV_CLIENT_Evt_VfsDeleteFailedForMergedDirectory"
                 message="$(string.Client.Event.VfsDeleteFailedForMergedDirectory)" />
          <event value="5003" level="win:Informational" channel="VApp" keywords="VFS" task="VFSRedirection" opcode="win:Info" version="1"
                 template="TEMPLATE_CLIENT_STRING"
                 symbol="APPV_CLIENT_Evt_VfsDeleteFailedForMergedDirectoryWithPath"
                 message="$(string.Client.Event.VfsDeleteFailedForMergedDirectoryWithPath)" />

          <!-- Virtual Services events: 6001 -7000-->
          <event value="6001" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesGetServicesFromManifestFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.ManifestConfiguration.GetServicesFromManifestFailed)" />
          <event value="6002" level="win:Error" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesUnsupportedServiceStartupType" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.ManifestConfiguration.UnsupportedServiceStartupType)" />
          <event value="6006" level="win:Error" template="TEMPLATE_CLIENT_STRING_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesServiceStartFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.ServiceFailedToStart)" />
          <event value="6007" level="win:Error" template="TEMPLATE_CLIENT_STRING_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesDependentServiceStartFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.DependentServiceStartFailed)" />
          <event value="6008" level="win:Error" template="TEMPLATE_CLIENT_STRING_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesHandlingControlMessageFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.HandlingControlMessageFailed)" />
          <event value="6009" level="win:Error" template="TEMPLATE_CLIENT_WIN32ERROR" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesFailedToAcquireStartLock" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.FailedToAcquireStartLock)" />
          <event value="6010" level="win:Informational" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesAttemptingAutoStart" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.AttemptingAutoStart)" />
          <event value="6011" level="win:Error" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesServiceFailedToStop" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.ServiceStopFailed)" />
          <event value="6012" level="win:Error" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesServiceAutostartFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.ServiceAutostartFailed)" />
          <event value="6013" level="win:Error" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesChangeServiceConfigFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.ChangeServiceConfigFailed)" />
          <event value="6014" level="win:Error" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesDeleteServiceFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.DeleteServiceFailed)" />
          <event value="6015" level="win:Warning" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesCreateServiceIsNotVirtual" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.CreateServiceIsNotVirtual)" />
          <event value="6016" level="win:Error" channel="Ops" keywords="VirtualServices"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualServicesSetServiceSecurityFailed" version="1" task="ConfigureVirtualServices"
                 message="$(string.VirtualServices.Event.SetServiceSecurityFailed)" />

          <!-- Settings change events: 7001-8000 -->
          <event value="7001" level="win:Error" template="TEMPLATE_CLIENT_WIN32ERROR" channel="Adm" keywords="Settings" task="SettingChanges"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_SettingChangesWillRequireReboot" version="1" 
                 message="$(string.Client.Event.SettingChangesWillRequireReboot)" />

          <!-- Dynamic Configuration events: 8001-9000 -->
          <event value="8001" level="win:Error" template="TEMPLATE_LOAD_XML_ERROR" channel="Adm" keywords="DynamicConfiguration" task="ParseDynamicConfigurationFile"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_LoadXMLError" version="1" 
                 message="$(string.DynamicConfiguration.Event.LoadXMLError)" />
          <event value="8002" level="win:Error" template="TEMPLATE_VALIDATE_XML_ERROR" channel="Adm" keywords="DynamicConfiguration" task="ParseDynamicConfigurationFile"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ValidateXMLError" version="1"
                message="$(string.DynamicConfiguration.Event.ValidateXMLError)" />
          <event value="8003" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishNoPackagesInConnectionGroupDocument" version="1"
                message="$(string.DynamicConfiguration.Event.PublishNoPackagesInConnectionGroupDocument)" />
          <event value="8004" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishNoMandatoryPackagesInConnectionGroupDocument" version="1"
                message="$(string.DynamicConfiguration.Event.PublishNoMandatoryPackagesInConnectionGroupDocument)" />
          <event value="8005" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshFailed)" />
          <event value="8006" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshOnPublishFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshOnPublishFailed)" />
          <event value="8007" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshOnUnpublishFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshOnUnpublishFailed)" />
          <event value="8008" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshOnAddFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshOnAddFailed)" />
          <event value="8009" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishGetPackageGroupListFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishGetPackageGroupListFailed)" />
          <event value="8010" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshOnRemoveFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshOnRemoveFailed)" />
          <event value="8011" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackageGroup"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageGroupRefreshOnGroupPublishFailed" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageGroupRefreshOnGroupPublishFailed)" />
          <event value="8012" level="win:Error" template="TEMPLATE_GROUP_AND_VERSION_PACKAGE_AND_VERSION" channel="Adm" keywords="DynamicConfiguration"
                task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishPackageNotAvailable" version="1"
                message="$(string.DynamicConfiguration.Event.PublishPackageNotAvailable)" />
          <event value="8013" level="win:Warning" template="TEMPLATE_GROUP_AND_VERSION_AND_RC_AND_SID" channel="Adm" keywords="DynamicConfiguration"
                task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToDeleteUserPublishedGroup" version="1"
                message="$(string.DynamicConfiguration.Event.FailedToDeleteUserPublishedGroup)" />
          <event value="8014" level="win:Warning" template="TEMPLATE_GROUP_AND_VERSION_AND_RC_AND_SID" channel="Adm" keywords="DynamicConfiguration"
                task="ConfigurePackageGroup" opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToUnpublishUserGroup" version="1"
                message="$(string.DynamicConfiguration.Event.FailedToUnpublishUserGroup)" />
          <event value="8015" level="win:Error" template="TEMPLATE_GUID_GUID_RC" channel="Adm" keywords="DynamicConfiguration" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_UnpublishGetPackageGroupListFailed" version="1"
                message="$(string.DynamicConfiguration.Event.UnpublishGetPackageGroupListFailed)" />

          <!-- Client Management events: 9001-10000 -->
          <event value="9001" level="win:Error" template="TEMPLATE_POWERSHELL_INVOKE_ERROR_WARNING" channel="Adm" keywords="ClientManagement" task="PowerShellInvoke"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PowerShellInvokeError" version="1"
                 message="$(string.ClientManagement.Event.PowerShellInvokeError)" />
          <event value="9002" level="win:Warning" template="TEMPLATE_POWERSHELL_INVOKE_ERROR_WARNING" channel="Adm" keywords="ClientManagement" task="PowerShellInvoke"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PowerShellInvokeWarning" version="1"
                 message="$(string.ClientManagement.Event.PowerShellInvokeWarning)" />
          <event value="9003" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectGetPropertyValue"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GetPublishingServerPropertiesError" version="1"
                 message="$(string.ClientManagement.Event.GetPublishingServerPropertiesError)" />
          <event value="9004" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectGetPropertyValue"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GetConnectionGroupPropertiesError" version="1"
                 message="$(string.ClientManagement.Event.GetConnectionGroupPropertiesError)" />
          <event value="9005" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectGetPropertyValue"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GetPackagePropertiesError" version="1"
                 message="$(string.ClientManagement.Event.GetPackagePropertiesError)" />
          <event value="9006" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectGetPropertyValue"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GetApplicationPropertiesError" version="1"
                 message="$(string.ClientManagement.Event.GetApplicationPropertiesError)" />
          <event value="9007" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectInvokeMethod"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PackageGetApplicationsError" version="1"
                 message="$(string.ClientManagement.Event.PackageGetApplicationsError)" />
          <event value="9008" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectInvokeMethod"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ConnectionGroupGetPackagesError" version="1"
                 message="$(string.ClientManagement.Event.ConnectionGroupGetPackagesError)" />
          <event value="9009" level="win:Error" template="TEMPLATE_CLIENT_STRING" channel="Adm" keywords="ClientManagement" task="PowershellProcess"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PowershellProcessStartOrExitError" version="1"
                 message="$(string.ClientManagement.Event.PowershellProcessStartOrExitError)" />
          <event value="9010" level="win:Error" template="TEMPLATE_CLIENT_STRING" channel="Adm" keywords="ClientManagement" task="PowershellProcess"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PowershellProcessExecutionError" version="1"
                 message="$(string.ClientManagement.Event.PowershellProcessExecutionError)" />
          <event value="9012" level="win:Error" channel="Adm" keywords="ClientManagement" task="PSObjectGetPropertyValue"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GetConfigurationPropertiesError" version="1"
                 message="$(string.ClientManagement.Event.GetConfigurationPropertiesError)" />

          <!-- Subsystem Controller events: 10001 -11000 -->
          <event value="10001" level="win:Error" template="TEMPLATE_SUBSYSTEM_STARTUP_FAILURE" channel="Adm" keywords="Subsystems" task="SubsystemStartup"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_SubsystemStartupError" version="1"
                 message="$(string.Client.Event.SubsystemStartupError)" />
          <event value="10002" level="win:Error" template="TEMPLATE_UINT" channel="Adm" keywords="Subsystems" task="ClientStartup"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_SubsystemJITVInjectionFailed" version="1"
                 message="$(string.Client.Event.SubsystemJITVInjectionFailed)" />

          <!-- Client Co-existence events: 11001-12000 -->
          <event value="11002" level="win:Error" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorTakingOverExtensionPointsFrom46" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorTakingOverExtensionPointsFrom46)" />
          <event value="11003" level="win:Error" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="ClientCoExistence" task="UnpublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorGivingBackExtensionPointsTo46" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorGivingBackExtensionPointsTo46)" />
          <event value="11004" level="win:Warning" template="TEMPLATE_CLIENT_GUID" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_CouldNotDeterminingLegacyAppVInstallPath" version="1"
                 message="$(string.ClientCoExistence.Event.CouldNotDeterminingLegacyAppVInstallPath)" />
          <event value="11005" level="win:Informational" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_TakingOverExtensionPointsFrom46" version="1"
                 message="$(string.ClientCoExistence.Event.TakingOverExtensionPointsFrom46)" />
          <event value="11006" level="win:Informational" template="TEMPLATE_CLIENT_STRING" channel="Ops" keywords="ClientCoExistence" task="UnpublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_GivingBackExtensionPointsTo46" version="1"
                 message="$(string.ClientCoExistence.Event.GivingBackExtensionPointsTo46)" />
          <event value="11007" level="win:Error" template="TEMPLATE_CLIENT_GUID_RC" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorReadingManagingAuthorityPolicy" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorReadingManagingAuthorityPolicy)" />
          <event value="11008" level="win:Error" template="TEMPLATE_CLIENT_GUID_RC" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorReadingOldManagingAuthorityPolicy" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorReadingOldManagingAuthorityPolicy)" />
          <event value="11009" level="win:Error" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorWaitingForSFTMIMECommand" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorWaitingForSFTMIMECommand)" />
          <event value="11010" level="win:Warning" template="TEMPLATE_CLIENT_STRING" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_TimedoutWaitingForSFTMIMECommand" version="1"
                 message="$(string.ClientCoExistence.Event.TimedoutWaitingForSFTMIMECommand)" />
          <event value="11011" level="win:Warning" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ErrorGettingExitCodeForSFTMIMECommand" version="1"
                 message="$(string.ClientCoExistence.Event.ErrorGettingExitCodeForSFTMIMECommand)" />
          <event value="11012" level="win:Informational" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Ops" keywords="ClientCoExistence" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_SFTMIMECommandExitedWithCode" version="1"
                 message="$(string.ClientCoExistence.Event.SFTMIMECommandExitedWithCode)" />


          <!-- VREG and Registry Staging events: 12001-13000 -->
          <event value="12001" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Adm" keywords="VREG" task="VirtualEnvironmentStart"
                 opcode="win:Start" symbol="APPV_CLIENT_Evt_VregEnabledSettingPolicyMismatch" version="1"
                 message="$(string.Client.Event.VregEnabledSettingPolicyMismatch)" />


          <!-- Virtualization Manager events: 13001-14000 -->
          <event value="13001" level="win:Informational" template="TEMPLATE_CLIENT_GUID" channel="Ops" keywords="VFS" task="DeleteUserState"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_UserCowStateDeleted" version="1"
                 message="$(string.VirtMan.Event.UserCowStateDeleted)" />
          <event value="13002" level="win:Error" template="TEMPLATE_CLIENT_GUID_RC" channel="Ops" keywords="VFS" task="DeleteUserState"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_UserCowStateDeletionFailed" version="1"
                 message="$(string.VirtMan.Event.UserCowStateDeletionFailed)" />
          <event value="13003" level="win:Error" template="TEMPLATE_CLIENT_STRING_GUID_PID_RC" channel="Ops" keywords="VirtualAppLaunch" task="ApplicationLaunch"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VirtualAppLaunchFailed" version="1"
                 message="$(string.VirtMan.Event.VirtualAppLaunchFailed)" />
          <event value="13004" level="win:Error" template="TEMPLATE_CLIENT_STRING_STRING" channel="Ops" keywords="VFS" task="ConfigurePackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_UserCowValidationFailed" version="1"
                 message="$(string.VirtMan.Event.UserCowValidationFailed)" />
          <event value="13005" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Ops" keywords="VFS" task="PublishPackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishRoamingPackagesFailed" version="1"
                 message="$(string.VirtMan.Event.PublishRoamingPackagesFailed)" />
          <event value="13006" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Ops" keywords="VFS" task="PublishPackageGroup"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_PublishRoamingGroupsFailed" version="1"
                 message="$(string.VirtMan.Event.PublishRoamingGroupsFailed)" />
		      <event value="13007" level="win:Warning" template="TEMPLATE_CLIENT_STRING" channel="Adm" keywords="VirtualAppLaunch" task="ApplicationLaunch"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VFSFolderACLModified" version="1"
                 message="$(string.VirtMan.Event.VFSFolderACLModified)" />
                 
          <!-- Streaming Manager events: 14001-15000 -->
          <event value="14001" level="win:Informational" channel="Ops" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundStreamingSuspended" version="1"
                 message="$(string.StreamingManager.Event.BackgroundStreamingSuspended)" />
          <event value="14002" level="win:Informational" channel="Ops" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundStreamingResumed" version="1"
                 message="$(string.StreamingManager.Event.BackgroundStreamingResumed)" />
          <event value="14003" level="win:Error" channel="Adm" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_LaunchSuspendedDueToCost" version="1"
                 message="$(string.StreamingManager.Event.LaunchSuspendedDueToCost)" />
          <event value="14004" level="win:Warning" channel="Adm" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_RegistrationForCostcallBackFailed" version="1"
                 message="$(string.StreamingManager.Event.RegistrationForCostCallbackFailed)" />
          <event value="14005" level="win:Warning" template="TEMPLATE_APPV_ERROR" channel="Adm" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundLoadQueueCreationFailed" version="1"
                 message="$(string.StreamingManager.Event.BackgroundLoadQueueCreationFailed)" />
          <event value="14006" level="win:Warning" channel="Adm" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundLoadManagerRequiresStore" version="1"
                 message="$(string.StreamingManager.Event.BackgroundLoadManagerRequiresStore)" />
          <event value="14007" level="win:Informational" channel="Ops" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundStreamingSuspendedCS" version="1"
                 message="$(string.StreamingManager.Event.BackgroundStreamingSuspendedCS)" />
          <event value="14008" level="win:Informational" channel="Ops" keywords="Streaming" task="BackgroundStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_BackgroundStreamingResumedCS" version="1"
                 message="$(string.StreamingManager.Event.BackgroundStreamingResumedCS)" />
          <event value="14009" level="win:Warning" channel="Adm" keywords="Streaming" task="GeneralStreaming"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_InvalidGatewayErrorInTransport" version="1"
                message="$(string.StreamingManager.Event.InvalidGatewayErrorInTransport)" />
          <event value="14010" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedPackageNotFound" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedPackageNotFound)" />
          <event value="14011" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedPackageCorrupt" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedPackageCorrupt)" />
          <event value="14012" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedNonNTFSPackageStore" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedNonNTFSPackageStore)" />
          <event value="14013" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedInsufficientDiskSpace" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedInsufficientDiskSpace)" />
          <event value="14014" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedInvalidURI" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedInvalidURI)" />
          <event value="14015" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedFolderAlreadyExists" version="1"
                message="$(string.StreamingManager.Event.ConfigurePackageFailedFolderAlreadyExists)" />
          <event value="14016" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Streaming" task="GeneralStreaming"
               opcode="win:Info" symbol="APPV_CLIENT_Evt_MountPackageFailedConnectionLost" version="1"
               message="$(string.StreamingManager.Event.MountPackageFailedConnectionLost)" />
          <event value="14017" level="win:Error" template="TEMPLATE_PACKAGE_VERSION_AND_HR" channel="Adm" keywords="Streaming" task="GeneralStreaming"
               opcode="win:Info" symbol="APPV_CLIENT_Evt_MountPackageFailedInsufficientDiskSpace" version="1"
               message="$(string.StreamingManager.Event.MountPackageFailedInsufficientDiskSpace)" />
          <event value="14018" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Streaming" task="GeneralStreaming"
               opcode="win:Info" symbol="APPV_CLIENT_Evt_MountPackageFailedConnectionTimeout" version="1"
               message="$(string.StreamingManager.Event.MountPackageFailedConnectionTimeout)" />
          <event value="14019" level="win:Warning" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Streaming" task="GeneralStreaming"
               opcode="win:Info" symbol="APPV_CLIENT_Evt_MountPackageFailedUserLoggedOff" version="1"
               message="$(string.StreamingManager.Event.MountPackageFailedUserLoggedOff)" />
          <event value="14020" level="win:Error" template="TEMPLATE_PACKAGE_AND_VERSION" channel="Adm" keywords="Publishing" task="ConfigurePackage"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ConfigurePackageFailedInvalidPackageArchitecture" version="1"
                 message="$(string.StreamingManager.Event.ConfigurePackageFailedInvalidPackageArchitecture)" />
          <event value="14021" level="win:Error" template="TEMPLATE_GUID_STRING_HRESULT" channel="Adm" keywords="Streaming" task="GeneralStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_StreamFaultFailed" version="1"
                 message="$(string.StreamingManager.Event.StreamFaultFailed)" />
          <event value="14022" level="win:Critical" template="TEMPLATE_CLIENT_HRESULT" channel="Adm" keywords="Streaming" task="GeneralStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_StreamFilterInitFailed" version="1"
                 message="$(string.StreamingManager.Event.StreamFilterInitFailed)" />
          <event value="14023" level="win:Informational" template="TEMPLATE_STRING_PID" channel="Ops" keywords="Streaming" task="GeneralStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_StreamRequestProcessedAsSystem" version="1"
                 message="$(string.StreamingManager.Event.StreamRequestProcessedAsSystem)" />
          <event value="14024" level="win:Informational" template="TEMPLATE_STRING_PID_SID" channel="Ops" keywords="Streaming" task="GeneralStreaming"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_StreamRequestProcessedAsAltUser" version="1"
                 message="$(string.StreamingManager.Event.StreamRequestProcessedAsAltUser)" />

          <!-- Client Streaming UX events: 15001-16000 -->
          <event value="15001" level="win:Error" template="TEMPLATE_APPV_ERROR" channel="Adm" keywords="ClientStreamingUX" task="ConnectToAppVClientService"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_AppVErrorConnectingToServiceShuttingDown" version="1"
                 message="$(string.Client.Event.AppVErrorConnectingToServiceShuttingDown)" />
          <event value="15002" level="win:Error" template="TEMPLATE_COM_ERROR" channel="Adm" keywords="ClientStreamingUX" task="ConnectToAppVClientService"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ComErrorConnectingToServiceShuttingDown" version="1"
                 message="$(string.Client.Event.ComErrorConnectingToServiceShuttingDown)" />
          <event value="15003" level="win:Error" template="TEMPLATE_GUID_GUID_ULONG_ULONG" channel="Adm" keywords="ClientStreamingUX" task="StopPackageOrGroup"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_ClientErrorStoppingPackageOrGroup" version="1"
                 message="$(string.Client.Event.ClientErrorStoppingPackageOrGroup)" />

          <!-- VObject events: 16001-17000 -->
          <event value="16001" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Adm" keywords="VOBJ" task="VirtualEnvironmentStart"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VobjPackageGroupConflict" version="1"
                 message="$(string.Client.Event.VobjPackageGroupConflict)" />
          <event value="16002" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_GROUP" channel="Adm" keywords="VOBJ" task="VirtualEnvironmentStart"
                 opcode="win:Info" symbol="APPV_CLIENT_Evt_VobjEnableConflict" version="1"
                 message="$(string.Client.Event.VobjEnableConflict)" />
          <event value="16003" symbol="APPV_CLIENT_Evt_publishConnectionGroupFailedVobjSettingsMismatch" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP_FAILURE" opcode="win:Info"
                 keywords="VOBJ" task="PublishPackageGroup" message="$(string.Client.Event.VobjSettingsMismatch)" />
          <event value="16004" symbol="APPV_CLIENT_Evt_publishPackageFailedVobjSettingsMismatch" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_FAILURE" opcode="win:Info"
                 keywords="VOBJ" task="PublishPackage" message="$(string.Client.Event.PublishPackageVobjSettingsMismatch)" />


          <!-- Reporting events: 17001-18000 -->
          <event value="17001" level="win:Warning" template="TEMPLATE_CLIENT_ITEM_WIN32ERROR" channel="Adm" keywords="Reporting" task="UploadReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingSaveCachePathToRegistryFailed" version="1" message="$(string.Reporting.Event.SaveCachePathToRegistryFailed)" />
          <event value="17002" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" channel="Adm" keywords="Reporting" task="UploadReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingBadReportCacheFile" version="1" message="$(string.Reporting.Event.BadReportCacheFile)" />
          <event value="17003" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingRecordProcessingAborted" version="1" message="$(string.Reporting.Event.ReportRecordProcessingAborted)" />
          <event value="17004" level="win:Warning" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingDataSaveFailed" version="1" message="$(string.Reporting.Event.ReportingDataSaveFailed)" />
          <event value="17005" level="win:Informational" channel="Ops" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingCacheRollover" version="1" message="$(string.Reporting.Event.ReportingCacheRollover)" />
          <event value="17006" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="UploadReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToSendReportingData" version="1" message="$(string.Reporting.Event.FailedToSendReportingData)" />
          <event value="17007" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToAddProcessLaunchData" version="1" message="$(string.Reporting.Event.FailedToAddProcessLaunchData)" />
          <event value="17008" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToAddProcessTerminationData" version="1" message="$(string.Reporting.Event.FailedToAddProcessTerminationData)" />
          <event value="17009" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToHandleVirtualEnvironmentCreated" version="1" message="$(string.Reporting.Event.FailedToHandleVirtualEnvironmentCreated)" />
          <event value="17010" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToHandleVirtualEnvironmentTerminated" version="1" message="$(string.Reporting.Event.FailedToHandleVirtualEnvironmentTerminated)" />
          <event value="17011" level="win:Warning" template="TEMPLATE_CLIENT_APPVERROR" channel="Adm" keywords="Reporting" task="UploadReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_ReportingSaveAfterCacheUpdateFailed" version="1" message="$(string.Reporting.Event.SaveAfterCacheUpdateFailed)" />
          <event value="17012" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_APPVERROR" keywords="Reporting" task="CreateReportingData"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_FailedToHandleProcessLaunchFailure" version="1" message="$(string.Reporting.Event.FailedToHandleProcessLaunchFailure)" />
          
          <!-- App Launch events: 18001-19000 -->
          <event value="18001" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_STRING" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedServiceNotRunning" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedServiceNotRunning)" />
          <event value="18002" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_STRING" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedUserNotEntitled" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedUserNotEntitled)" />
          <event value="18003" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_STRING" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedAmbiguousVE" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedAmbiguousVE)" />
          <event value="18004" level="win:Error" channel="Adm" template="TEMPLATE_CLIENT_STRING_STRING" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedDependentServiceFailed" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedDependentServiceFailed)" />
          <event value="18005" level="win:Error" channel="VApp" template="TEMPLATE_CLIENT_STRING_STRING_APPVERROR" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedSubsystemInitFailed" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedSubsystemInitFailed)" />
          <event value="18006" level="win:Error" channel="Adm" template="TEMPLATE_GROUP_AND_VERSION_PACKAGE_AND_VERSION" keywords="VirtualAppLaunch" task="ApplicationLaunch"
              opcode="win:Info" symbol="APPV_CLIENT_Evt_AppLaunchFailedPackageNotPublished" version="1" message="$(string.AppLaunch.Event.AppLaunchFailedPackageNotPublished)" />

          <!-- Publishing Refresh events: 19001-20000 -->
          <!-- top activity -->
          <event value="19001" symbol="APPV_CLIENT_Evt_refreshRefreshStart" version="1" channel="Ops" level="win:Informational" template="TEMPLATE_STRING_BOOLEAN" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.RefreshStart)"/>
          <event value="19002" symbol="APPV_CLIENT_Evt_refreshRefreshStop" version="1" channel="Ops" level="win:Informational" template="TEMPLATE_STRING_BOOLEAN_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.RefreshStop)"/>
          <event value="19010" symbol="APPV_CLIENT_Evt_refreshSettingsSynced" version="1" channel="Ops" level="win:Informational" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.SettingsSynced)" />
          <event value="19011" symbol="APPV_CLIENT_Evt_refreshSettingsSyncFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.SettingsSyncFailed)" />
          <!-- manager -->
          <event value="19101" symbol="APPV_CLIENT_Evt_refreshGetClientInfoFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.GetClientInfoFailed)" />
          <event value="19102" symbol="APPV_CLIENT_Evt_refreshGetServerDataFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.GetServerDataFailed)" />
          <event value="19103" symbol="APPV_CLIENT_Evt_refreshGetClientDataFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.GetClientDataFailed)" />
          <event value="19104" symbol="APPV_CLIENT_Evt_refreshPartialOrNonePackagesPublished" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.PartialOrNonePackagesPublished)" />
          <event value="19105" symbol="APPV_CLIENT_Evt_refreshPartialOrNonePackagesUnPublished" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.PartialOrNonePackagesUnPublished)" />
          <event value="19106" symbol="APPV_CLIENT_Evt_refreshPartialOrNoneGroupsPublished" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.PartialOrNoneGroupsPublished)" />
          <event value="19107" symbol="APPV_CLIENT_Evt_refreshPartialOrNoneGroupsUnPublished" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.PartialOrNoneGroupsUnPublished)" />
          <event value="19108" symbol="APPV_CLIENT_Evt_refreshGroupFailedDueToPackageFailure" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID_GUID" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.GroupFailedDueToPackageFailure)" />
          <!-- server side -->
          <event value="19201" symbol="APPV_CLIENT_Evt_refreshServerProtocolUnknown" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ServerProtocolUnknown)" />
          <event value="19202" symbol="APPV_CLIENT_Evt_refreshHttpRequestInitializeFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.HttpRequestInitializeFailed)" />
          <event value="19203" symbol="APPV_CLIENT_Evt_refreshHttpRequestSendRequestFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.HttpRequestSendRequestFailed)" />
          <event value="19204" symbol="APPV_CLIENT_Evt_refreshHttpContentCannotCovertToUnicode" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.HttpContentCannotCovertToUnicode)" />
          <event value="19205" symbol="APPV_CLIENT_Evt_refreshInvalidXmlContentFromServer" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING_APPVERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.InvalidXmlContentFromServer)" />
          <!-- client side -->
          <event value="19301" symbol="APPV_CLIENT_Evt_refreshCreateDefaultMachinePolicyDocumentFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.CreateDefaultMachinePolicyDocumentFailed)" />
          <event value="19302" symbol="APPV_CLIENT_Evt_refreshCreateMachinePolicyDocumentFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.CreateMachinePolicyDocumentFailed)" />
          <event value="19303" symbol="APPV_CLIENT_Evt_refreshCreateUserPolicyDocumentFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.CreateUserPolicyDocumentFailed)" />
          <event value="19304" symbol="APPV_CLIENT_Evt_refreshCreatePackageGroupDescriptorDocumentFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_GUID_GUID_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.CreatePackageGroupDescriptorDocumentFailed)" />
          <!-- configurations -->
          <event value="19401" symbol="APPV_CLIENT_Evt_refreshConfigServerReadRegFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_APPVRC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerReadRegFailed)" />
          <event value="19402" symbol="APPV_CLIENT_Evt_refreshConfigServerDuplicatedUrl" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_STRING" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerDuplicatedUrl)" />
          <event value="19403" symbol="APPV_CLIENT_Evt_refreshConfigServerNoUrl" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerNoUrl)" />
          <event value="19404" symbol="APPV_CLIENT_Evt_refreshConfigServerIdOutOfRange" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerIdOutOfRange)" />
          <event value="19405" symbol="APPV_CLIENT_Evt_refreshConfigServerHourOutOfRange" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerHourOutOfRange)" />
          <event value="19406" symbol="APPV_CLIENT_Evt_refreshConfigServerDayOutOfRange" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerDayOutOfRange)" />
          <event value="19407" symbol="APPV_CLIENT_Evt_refreshConfigServerInvalidIntervalUnit" version="1" channel="Adm" level="win:Error" template="TEMPLATE_UINT_UINT" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ConfigServerInvalidIntervalUnit)" />
          <event value="19408" symbol="APPV_CLIENT_Evt_publishingServerBadURL" version="1" channel="Ops" level="win:Warning" template="TEMPLATE_CLIENT_STRING_STRING" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.InvalidServerURL)" />
          <!-- SyncAppvPublishingServer Exe -->
          <event value="19501" symbol="APPV_CLIENT_Evt_refreshSyncAppvPublishingServerComplete" version="1" channel="Ops" level="win:Informational" template="TEMPLATE_CLIENT_STRING" opcode="win:Info"
                     keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.SyncAppvPublishingServerComplete)" />
          <event value="19502" symbol="APPV_CLIENT_Evt_refreshSyncAppvPublishingServerPowerShellError" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_STRING" opcode="win:Info"
                     keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.SyncAppvPublishingServerPowerShellError)" />
          <!-- others -->
          <event value="19801" symbol="APPV_CLIENT_Evt_refreshDeimpersonationFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.DeimpersonationFailed)" />
          <event value="19802" symbol="APPV_CLIENT_Evt_refreshReadPolicyIdsFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_STRING_BOOLEAN_BOOLEAN_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.ReadPolicyIdsFailed)" />
          <event value="19803" symbol="APPV_CLIENT_Evt_refreshWritePolicyIdsFailed" version="1" channel="Adm" level="win:Error" template="TEMPLATE_STRING_BOOLEAN_BOOLEAN_RC" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.WritePolicyIdsFailed)" />
          <event value="19804" symbol="APPV_CLIENT_Evt_refreshShellRefreshSucceeded" version="1" channel="Ops" level="win:Informational" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.RefreshShellSucceeded)"/>
          <event value="19805" symbol="APPV_CLIENT_Evt_refreshShellRefreshFailed" version="1" channel="Ops" level="win:Error" template="TEMPLATE_APPV_ERROR" opcode="win:Info"
                 keywords="PublishingRefresh" task="PublishingRefresh" message="$(string.Publishing.Event.RefreshShellFailed)"/>
          
          <!-- VCOM events: 20001 - 20100 -->
          <event value="20001" symbol="APPV_CLIENT_Evt_publishConnectionGroupFailedVCOMSettingsMismatch" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_CONFIGURE_PACKAGE_GROUP_FAILURE" opcode="win:Info"
                 keywords="DynamicConfiguration" task="PublishPackageGroup" message="$(string.VCOM.Event.SettingsMismatch)" />
          <event value="20002" symbol="APPV_CLIENT_Evt_publishPackageFailedVcomSettingsMismatch" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_FAILURE" opcode="win:Info"
                 keywords="DynamicConfiguration" task="PublishPackage" message="$(string.VCOM.Event.PublishPackageSettingsMismatch)" />

          <!-- VFS events: 20101 - 20200 -->
          <event value="20101" symbol="APPV_CLIENT_Evt_publishPackageFailedVfsSettingsMismatch" version="1" channel="Adm" level="win:Error" template="TEMPLATE_CLIENT_PUBLISH_PACKAGE_FAILURE" opcode="win:Info"
                 keywords="DynamicConfiguration" task="PublishPackage" message="$(string.VFS.Event.PublishPackageSettingsMismatch)" />

          <!-- Integration events: 21001-22000 -->
          <event value="21001" symbol="APPV_CLIENT_Evt_JITVEnabledReadError" version="1" channel="Ops" level="win:Error" template="TEMPLATE_CLIENT_APPVERROR" opcode="win:Info"
                 keywords="Integration" task="Integration" message="$(string.Integration.Event.JITVEnabledReadError)"/>
          <event value="21002" symbol="APPV_CLIENT_Evt_JITVIsDisabled" version="1" channel="Ops" level="win:Informational" opcode="win:Info"
                 keywords="Integration" task="Integration" message="$(string.Integration.Event.JITVIsDisabled)"/>

          <!-- SxS events: 22001-23000 -->
          <event value="22001" symbol="APPV_CLIENT_Evt_failedToRegisterAssembly" version="1" channel="Adm" level="win:Warning" template="TEMPLATE_CLIENT_STRING_STRING" opcode="win:Info"
                 keywords="SxS" task="SxS" message="$(string.SxS.Event.FailedToRegisterAssembly)" />

          <!-- Streaming driver events: 23001-23100 -->
          <event value="23001" symbol="APPV_CLIENT_Evt_StreamFilter_SendMessageTimeout" version="1" channel="Ops" level="win:Error" opcode="win:Info"
                 keywords="Streaming" task="GeneralStreaming" message="$(string.StreamingFilter.Event.SendMessageTimeout)" />

        </events>
      </provider>
    </events>
  </instrumentation>
  <localization>
    <resources culture="en-US">
      <stringTable>
        <!-- Channel names -->
        <string id="Client.Channel.Admin" value="Admin" />
        <string id="Client.Channel.Operational" value="Operational" />
        <string id="Client.Channel.VirtualApplications" value="Virtual Applications" />

        <!-- Keyword names -->
        <string id="Client.Keyword.Startup" value="Startup" />
        <string id="Client.Keyword.Shutdown" value="Shutdown" />
        <string id="Client.Keyword.Logon" value="Logon" />
        <string id="Client.Keyword.Logoff" value="Logoff" />
        <string id="Client.Keyword.API" value="API" />
        <string id="Client.Keyword.ComponentStartup" value="Component Startup" />
        <string id="Client.Keyword.Common" value="Client Common" />
        <string id="Client.Keyword.Catalog" value="Catalog" />
        <string id="Client.Keyword.Publishing" value="Publishing" />
        <string id="Client.Keyword.Embedded.Scripting" value="Embedded Scripting" />
        <string id="Client.Keyword.VFS" value="Virtual File System" />
        <string id="Client.Keyword.VirtualServices" value="Virtual Services" />
        <string id="Client.Keyword.Settings" value="Settings" />
        <string id="Client.Keyword.DynamicConfiguration" value="Dynamic Configuration" />
        <string id="Client.Keyword.ClientManagement" value="Client Management" />
        <string id="Client.Keyword.Subsystems" value="Subsystems" />
        <string id="Client.Keyword.ClientCoExistence" value="Client Co-existence" />
        <string id="Client.Keyword.VREG" value="Virtual Registry" />
        <string id="Client.Keyword.Streaming" value="Streaming" />
        <string id="Client.Keyword.ClientStreamingUX" value="Client Streaming UX" />
        <string id="Client.Keyword.VirtualAppLaunch" value="Virtual Application Launch" />
        <string id="Client.Keyword.VOBJ" value="Virtual Object" />
        <string id="Client.Keyword.Reporting" value="Reporting" />
        <string id="Client.Keyword.PublishingRefresh" value="Publishing Refresh" />
        <string id="Client.Keyword.Integration" value="Integration" />
        <string id="Client.Keyword.SxS" value="Side by Side" />

        <!-- Task names -->
        <string id="Client.Task.Startup" value="Client Startup" />
        <string id="Client.Task.Shutdown" value="Client Shutdown" />
        <string id="Client.Task.UserLogon" value="User Logon" />
        <string id="Client.Task.UserLogoff" value="User Logoff" />
        <string id="Client.Task.PolicyChange" value="Dynamic Configuration Change" />
        <string id="Client.Task.APIRequest" value="API Request" />
        <string id="Client.Task.Impersonation" value="Impersonation/Deimpersonation" />
        <string id="Client.Task.ConfigurePackage" value="Configure Package" />
        <string id="Client.Task.PublishPackage" value="Publish Package" />
        <string id="Client.Task.UnpublishPackage" value="Unpublish Package" />
        <string id="Client.Task.RemovePackage" value="Remove Package" />
        <string id="Client.Task.ConfigurePackageGroup" value="Configure Virtual Application Connection Group" />
        <string id="Client.Task.PublishPackageGroup" value="Publish Virtual Application Connection Group" />
        <string id="Client.Task.UnpublishPackageGroup" value="Unpublish Virtual Application Connection Group" />
        <string id="Client.Task.RemovePackageGroup" value="Remove Virtual Application Connection Group" />
        <string id="Client.Task.ExecuteScripts" value="Execute Embedded Scripts" />
        <string id="Client.Task.VFSRedirection" value="Virtual File System Redirection" />
        <string id="Client.Task.ConfigureVirtualServices" value="Configure Virtual Services" />
        <string id="Client.Task.SettingChanges" value="Setting Changes" />
        <string id="Client.Task.ParseDynamicConfigurationFile" value="Parse Dynamic Configuration File" />
        <string id="Client.Task.PowerShellInvoke" value="PowerShell Invoke" />
        <string id="Client.Task.SubsystemStartup" value="Subsystem Startup" />
        <string id="Client.Task.ApplicationLaunch" value="Application Launch" />
        <string id="Client.Task.VirtualEnvironmentStart" value="Virtual Environment Start" />
        <string id="Client.Task.DeleteUserState" value="User State Deletion" />
        <string id="Client.Task.BackgroundStreaming" value="Background Streaming" />
        <string id="Client.Task.PSObjectGetPropertyValue" value="PSObject Get Property Value" />
        <string id="Client.Task.PSObjectInvokeMethod" value="PSObject Invoke Method" />
        <string id="Client.Task.ConnectToAppVClientService" value="Connect to AppV Client Service" />
        <string id="Client.Task.PowershellProcess" value="Powershell Process" />
        <string id="Client.Task.CreateReportingData" value="Create Reporting Data" />
        <string id="Client.Task.UploadReportingData" value="Upload Reporting Data" />
        <string id="Client.Task.Streaming" value="Streaming" />
        <string id="Client.Task.RepairPackage" value="Repair Package" />
        <string id="Client.Task.RepairPackageGroup" value="Repair Virtual Application Connection Group" />
        <string id="Client.Task.PublishingRefresh" value="Publishing Refresh" />
        <string id="Client.Task.StopPackageOrGroup" value="Stop Package or Connection Group" />
        <string id="Client.Task.Integration" value="Integration" />
        <string id="Client.Task.SxS" value="Side by Side" />

        <!-- Map item names -->
        <string id="Client.Map.ComponentType.ScriptManager" value="ScriptManager" />
        <string id="Client.Map.ComponentType.SubsystemController" value="SubsystemController" />
        <string id="Client.Map.ComponentType.PublishingManager" value="PublishingManager" />
        <string id="Client.Map.ComponentType.IntegrationManager" value="IntegrationManager" />
        <string id="Client.Map.ComponentType.VirtualizationManager" value="VirtualizationManager" />
        <string id="Client.Map.ComponentType.CatalogManager" value="CatalogManager" />
        <string id="Client.Map.ComponentType.StreamingManager" value="StreamingManager" />
        <string id="Client.Map.ComponentType.ReportingManager" value="ReportingManager" />
        <string id="Client.Map.ComponentType.Controller" value="Controller" />
        <string id="Client.Map.ImpersonationLevel.Anonymous" value="RPC_C_IMP_LEVEL_ANONYMOUS" />
        <string id="Client.Map.ImpersonationLevel.Identify" value="RPC_C_IMP_LEVEL_IDENTIFY" />
        <string id="Client.Map.ImpersonationLevel.Impersonate" value="RPC_C_IMP_LEVEL_IMPERSONATE" />
        <string id="Client.Map.ImpersonationLevel.Delegate" value="RPC_C_IMP_LEVEL_DELEGATE" />
        <string id="Scripting.Map.Scope.Machine" value="machine" />
        <string id="Scripting.Map.Scope.User" value="user" />

        <!-- Client Service event strings -->
        <string id="Client.Event.ServiceStartup" value="The Client service started successfully." />
        <string id="Client.Event.ServiceShutdown" value="The Client service shut down." />
        <string id="Client.Event.CmpLoadFailed" value="A required component (%1) cannot be loaded.  Please repair your installation. {error: %2}" />
        <string id="Client.Event.EnumSessionsFailed" value="The Client service could not get the list of currently logged-on users.  If users experience any issues running virtual applications, please logoff and logon again, or restart the service. {error: %1}" />
        <string id="Client.Event.UserLogonFailed" value="The Client could not register a logged-on user.  The user will not be able to access any App-V services, including running virtual applications.  Please have the user logoff and logon again. {error: %1-%2}" />
        <string id="Client.Event.UserLogoffFailed" value="The Client could not unregister a user that logged off.  If other users experience any issues logging on, please restart the Client service. {error: %1-%2}" />
        <string id="Client.Event.CoImpersonateFailed" value="The Client could not determine the identity of a caller on a public request, and the request was denied. {error: %1}" />
        <string id="Client.Event.APILogonFailed" value="The Client could not register a caller, or verify the registration status of a caller, on a public request, and the request was denied. {error: %1-%2}" />
        <string id="Client.Event.APIRequiresMinimumImpersonateLevel" value="A public request to the Client was initiated by a caller which granted the Client the authority for %1, whereas the Client requires at a minimum RPC_C_IMP_LEVEL_IMPERSONATE in order to satisfy a request on the caller's behalf.  The calling application will need to modify its security settings for outbound calls in order to successfully access the Client API." />
        <string id="Client.Event.APIAccessDenied" value="The access to the client was denied. The caller didn't have required permission for this operation." />
        <string id="Client.Event.PowerNotificationRegistrationFailure" value="The Client failed to register for power notifications.  {error: %1-%2}." />
        <string id="Client.Event.PowerNotificationUnregistrationFailure" value="The Client failed to unregister for power notifications.  {error: %1-%2}." />

        <!-- Public Client API event strings -->
        <string id="Client.Event.PublicApi.EnterComMethod" value="IAppVClient::%1 COM method entered." />
        <string id="Client.Event.PublicApi.ExitComMethod" value="IAppVClient::%1 COM method exited. %2" />

        <!-- Orchestration event strings -->
        <string id="Client.Event.ActiveProcessingCouldNotBeShutdown" value="Active processing could not be shut down, this may lead to delays or hangs for Client shutdown. {error: %1-%2}" />
        <string id="Client.Event.PackageConfigured" value="Package %1 version %2 was successfully configured in folder '%3'." />
        <string id="Client.Event.PackagePublished" value="Package %1 version %2 was successfully published for the user." />
        <string id="Client.Event.PackagePublishedGlobally" value="Package %1 version %2 was successfully published for all users." />
        <string id="Client.Event.PackageUnpublished" value="Package %1 version %2 was unpublished for the user." />
        <string id="Client.Event.PackageUnpublishedGlobally" value="Package %1 version %2 was unpublished for all users." />
        <string id="Client.Event.PackageRemoved" value="Package %1 version %2 was removed." />
        <string id="Client.Event.PackageConfigurationFailed" value="Package %1 version %2 failed configuration in folder '%3' with error %4-%5." />
        <string id="Client.Event.PackageGroupConfigured" value="Virtual application connection group %1 version %2 was successfully configured." />
        <string id="Client.Event.PackageGroupConfigurationFailed" value="Virtual application connection group %1 version %2 failed configuration with error %3-%4." />
        <string id="Client.Event.PackageGroupPublished" value="Virtual application connection group %1 version %2 was successfully published for the user." />
        <string id="Client.Event.PackageGroupPublishedGlobally" value="Virtual application connection group %1 version %2 was successfully published for all users." />
        <string id="Client.Event.PackageGroupUnpublished" value="Virtual application connection group %1 version %2 was unpublished for the user." />
        <string id="Client.Event.PackageGroupUnpublishedGlobally" value="Virtual application connection group %1 version %2 was unpublished for all users." />
        <string id="Client.Event.PackageGroupRemoved" value="Virtual application connection group %1 version %2 was removed." />
        <string id="Client.Event.UnpublishPackageInConnectionGroupFailed" value="Failed to unpublish package %1 version %2 because the package is published as part of one or more connection groups. Unpublish all connection groups that reference this package and try again." />
        <string id="Client.Event.RemovePackageInConnectionGroupFailed" value="Failed to remove package %1 version %2 because the package is configured as part of one or more connection groups. Remove all connection groups that reference this package and try again." />
        <string id="Client.Event.RemoveRunningPackageFailed" value="A package could not be removed because it is currently in use.  Make sure all users have shut down all applications in the package, and try again.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserUnpublishRunningPackageFailed" value="A package could not be unpublished for the user because it is currently in use by the user.  Shut down all applications in the package, and try again.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalUnpublishRunningPackageFailed" value="A package could not be globally unpublished because it is currently in use.  Make sure all users have shut down all applications in the package, and try again.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserUnpublishRunningConnectionGroupFailed" value="An app connection group could not be unpublished for the user because it is currently in use by the user.  Shut down all applications in the group, and try again.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalUnpublishRunningConnectionGroupFailed" value="An app connection group could not be globally unpublished because it is currently in use.  Make sure all users have shut down all applications in the group, and try again.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserUnpublishRunningPackageScheduled" value="A package could not be unpublished for the user because it is currently in use by the user.  The package will be unpublished at a later time.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalUnpublishRunningPackageScheduled" value="A package could not be globally unpublished because it is currently in use.  The package will be unpublished at a later time.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserUnpublishRunningPackageGroupScheduled" value="A connection group could not be unpublished for the user because it is currently in use by the user.  The connection group will be unpublished at a later time.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalUnpublishRunningPackageGroupScheduled" value="A connection group could not be globally unpublished because it is currently in use.  The connection group will be unpublished at a later time.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserPublishRunningPackageFailed" value="A package could not be published for the user because it is currently in use by the user.  Shut down all applications in the package, and try again.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalPublishRunningPackageFailed" value="A package could not be globally published because it is currently in use.  Make sure all users have shut down all applications in the package, and try again.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserPublishRunningConnectionGroupFailed" value="An app connection group could not be published for the user because it is currently in use by the user.  Shut down all applications in the group, and try again.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalPublishRunningConnectionGroupFailed" value="An app connection group could not be globally published because it is currently in use.  Make sure all users have shut down all applications in the group, and try again.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserPublishRunningPackageScheduled" value="A package could not be published for the user because it is currently in use by the user.  The package will be published at a later time.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalPublishRunningPackageScheduled" value="A package could not be globally published because it is currently in use.  The package will be published at a later time.%nPackage %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.UserPublishRunningPackageGroupScheduled" value="A connection group could not be published for the user because it is currently in use by the user.  The connection group will be published at a later time.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.GlobalPublishRunningPackageGroupScheduled" value="A connection group could not be globally published because it is currently in use.  The connection group will be published at a later time.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.RemoveRunningConnectionGroupFailed" value="An app connection group could not be removed because it is currently in use.  Make sure all users have shut down all applications in the group, and try again.%nConnection Group %1%nVersion %2%nActivity #%3" />
        <string id="Client.Event.ReconfigureNonexistentPackage" value="The package %1 version %2 could not be reconfigured because it is not configured on the system.  Ensure the package ID and version ID are correct and try again." />
        <string id="Client.Event.ConfigurePackageFailedIncompatibleArchitecture" value="The package %1 version %2 could not be configured because it can only be used with 64-bit versions of Windows." />
        <string id="Client.Event.ConfigurePackageFailedOSMismatch" value="The package %1 version %2 could not be configured because it is not compatible with this version of Windows." />
        <string id="Client.Event.ConfigurePackageFailedDeploymentConfigNotFound" value="The package %1 version %2 could not be configured becaused the Deployment Configuration file '%3' could not be found.  Ensure the path is correct and try again." />
        <string id="Client.Event.ConfigurePackageFailedDeploymentConfigInvalid" value="The package %1 version %2 could not be configured because the Deployment Configuration file '%3' is not valid.  Verify that the document is valid and try again." />
        <string id="Client.Event.ConfigurePackageFailedDeploymentConfigIDMismatch" value="The package %1 version %2 could not be configured because the Deployment Configuration file does not match the the specified package.  Ensure the GUIDs in the Deployment Configuration file match those of the package and try again." />
        <string id="Client.Event.ConfigurePackageFailedInsufficientRights" value="The package %1 version %2 could not be configured because the user account does not have administrative privileges." />
        <string id="Client.Event.PublishPackageGloballyFailedInsufficientRights" value="The package %1 version %2 could not be published globally because the user account does not have administrative privileges." />
        <string id="Client.Event.PublishPackageFailedPackageNotConfigured" value="The package %1 version %2 could not be published because the package has not been configured on the system.  Configure the package and try again." />
        <string id="Client.Event.PublishPackageFailedUserConfigNotFound" value="The package %1 version %2 could not be published becaused the User Configuration file '%3' could not be found.  Ensure the path is correct and try again." />
        <string id="Client.Event.PublishPackageFailedUserConfigInvalid" value="The package %1 version %2 could not be published because the User Configuration file '%3' is not valid.  Verify that the document is valid and try again." />
        <string id="Client.Event.PublishPackageFailedUserConfigIDMismatch" value="The package %1 version %2 could not be published because the User Configuration file does not match the the specified package.  Ensure the GUIDs in the User Configuration file match those of the package and try again." />
        <string id="Client.Event.PublishPackageGloballyFailedUserConfigSupplied" value="The package %1 version %2 could not be published globally because a User Configuration file was specified.  Either publish the package for the user with the User Configuration file specified or do not supply a User Configuration." />
        <string id="Client.Event.UnpublishPackageGloballyFailedInsufficientRights" value="The package %1 version %2 could not be unpublished globally because the user account does not have administrative privileges." />
        <string id="Client.Event.UnpublishPackageFailedPackageNotPublished" value="The package %1 version %2 could not be unpublished because it is not published to the target of the unpublish operation." />
        <string id="Client.Event.RemovePackageFailedPackageNotConfigured" value="The package %1 version %2 could not be removed because the package is not configured on the system." />
        <string id="Client.Event.RemovePackageFailedInsufficientRights" value="The package %1 version %2 could not be removed because the user account does not have administrative privileges." />
        <string id="Client.Event.RepairPackageFailedPackageNotConfigured" value="The package %1 version %2 cannot be repaired because the package is not configured on the system." />
        <string id="Client.Event.RepairPackageSucceededButIsConfiguredInGroup" value="The package %1 version %2 was repaired successfully, but the package is published in one or more Virtual Application Connection Groups.  Settings are associated with the group, so you may need to clear settings for the Virtual Application Connection Groups associated with this package." />
        <string id="Client.Event.ConfigurePackageGroupFailedDescriptorNotFound" value="The app connection group %1 version %2 could not be added because the app connection group file '%3' could not be found.  Ensure the path is correct and try again." />
        <string id="Client.Event.ConfigurePackageGroupFailedPackageNotConfigured" value="The app connection group %1 version %2 could not be added because the package %3 version %4 is not configured on the system.  Configure the package and try again." />
        <string id="Client.Event.ConfigurePackageGroupFailedDescriptorInvalid" value="The app connection group %1 version %2 could not be added because the app connection group file '%3' is not valid.  Verify that the document is valid and try again." />
        <string id="Client.Event.ConfigurePackageGroupFailedInsufficientRights" value="The app connection group %1 version %2 could not be added because the user account does not have administrative privileges." />
        <string id="Client.Event.PublishPackageGroupFailedPackageGroupNotConfigured" value="The app connection group %1 version %2 could not be enabled because the app connection group has not been added on the system.  Add the app connection group and try again." />
        <string id="Client.Event.PublishPackageGroupFailedPackageNotPublished" value="The app connection group %1 version %2 could not be enabled because the package %3 version %4 is not published to the target of the operation.  Publish the package and try again." />
        <string id="Client.Event.PublishPackageGroupGloballyFailedInsufficientRights" value="The app connection group %1 version %2 could not be enabled globally because the user account does not have administrative privileges." />
        <string id="Client.Event.UnpublishPackageGroupFailedPackageGroupNotPublished" value="The app connection group %1 version %2 could not be disabled because it is not enabled for the target of the disable operation." />
        <string id="Client.Event.UnpublishPackageGroupGloballyFailedInsufficientRights" value="The app connection group %1 version %2 could not be disabled globally because the user account does not have administrative privileges." />
        <string id="Client.Event.RemovePackageGroupFailedPackageGroupNotConfigured" value="The app connection group %1 version %2 could not be removed because the package it has not been added on the system." />
        <string id="Client.Event.RemovePackageGroupFailedInsufficientRights" value="The app connection group %1 version %2 could not be removed because the user account does not have administrative privileges." />
        <string id="Client.Event.RepairPackageGroupFailedPackageGroupNotConfigured" value="The app connection group %1 version %2 cannot be repaired because the app connection group has not been added on the system." />
        <string id="Client.Event.PendingUnpublishTaskVECannotStartPackageGlobal" value="The package %1 version %2 was detected to have a pending global Unpublish task. The App-V Client cannot start the virtual environment. Please close all running applications in the package or stop the package." />
        <string id="Client.Event.PendingUnpublishTaskVECannotStartGroupGlobal" value="The app connection group %1 version %2 was detected to have a pending global Unpublish task. The App-V Client cannot start the virtual environment. Please close all running applications in the app connection group or stop the app connection group." />
        <string id="Client.Event.PendingUnpublishTaskVECannotStartPackageUser" value="The package %1 version %2 was detected to have a pending user Unpublish task. The App-V Client cannot start the virtual environment. Please close all running applications in the package or stop the package." />
        <string id="Client.Event.PendingUnpublishTaskVECannotStartGroupUser" value="The app connection group %1 version %2 was detected to have a pending user Unpublish task. The App-V Client cannot start the virtual environment. Please close all running applications in the app connection group or stop the app connection group." />
        <string id="Client.Event.VEBlockedByPublishingPackage" value="The package %1 version %2 was detected to have an upgrading task. The App-V Client cannot start the virtual environment. Please try again in several minutes once the update is complete." />
        <string id="Client.Event.VEBlockedByPublishingGroup" value="The application connection group %1 version %2 was detected to have an upgrading task. The App-V Client cannot start the virtual environment. Please try again in several minutes once the update is complete." />
        <string id="Client.Event.PendingPublishFailedNoNetwork" value="The pending publish operation for package %1 version %2 was not performed because network connectivity is not available." />
        <string id="Client.Event.RemovePackageBlockedByPendingTask" value="The package %1 version %2 was detected to have a pending publish or unpublish operation. The App-V Client cannot remove the package. Pending user operations are processed at logon, and pending global operations are processed at startup. Please try again when any related pending operations are complete. Activity #%3" />
        <string id="Client.Event.RemoveGroupBlockedByPendingTask" value="The app connection group %1 version %2 was detected to have a pending task. The App-V Client cannot remove the app connection group. Pending user operations are processed at logon, and pending global operations are processed at startup. Please try again when any related pending operations are complete. Activity #%3" />
        <string id="Client.Event.UserSIDImpersonationFailed" value="The UserSID value %1 is not valid. Please ensure it is a valid SID and that the associated user is logged in when you run the cmdlet. {error: %2-%3}" />
        <string id="Client.Event.PublishPackageFailedDueToErrorInitializingIntegrationSettings" value="While publishing package %1 version %2 an error occurred when obtaining the integration settings for each of the connection groups that the package belongs to {error %3 - %4}.%nThe package has not been published." />
        <string id="Client.Event.PublishPackageWarningDueToGlobalHybridGroup" value="Package %1 version %2 was user published while belonging to globally published Connection Group %3 version %4.%nTherefore, although the package will be published to the user, it will not be assocated with the Connection Group until it is also published globally." />
        <string id="Client.Event.UpdateDriverMappingsOnPackageAddFailed" value="The App-V driver mappings were not successfully updated when Package %1 version %2 was added (error: %3-%4).%nConnection Groups containing this package may not work correctly." />
        <string id="Client.Event.UpdateDriverMappingsOnPackageRemoveFailed" value="The App-V driver mappings were not successfully updated when Package %1 version %2 was removed (error: %3-%4).%nConnection Groups previously containing this package may not work correctly." />
        <string id="Client.Event.UpdateDriverMappingsOnPackagePublishFailed" value="The App-V driver mappings were not successfully updated when Package %1 version %2 was published (error: %3-%4).%nConnection Groups previously containing this package may not work correctly." />
        <string id="Client.Event.UpdateDriverMappingsOnPackageUnpublishFailed" value="The App-V driver mappings were not successfully updated when Package %1 version %2 was unpublished (error: %3-%4).%nConnection Groups previously containing this package may not work correctly." />

        <!-- App Launch Strings -->
        <string id="AppLaunch.Event.AppLaunchFailedServiceNotRunning" value="A virtual application could not be launched from package '%1' because the App-V Client Service is not running.  Start the App-V Client Service and try again." />
        <string id="AppLaunch.Event.AppLaunchFailedUserNotEntitled" value="The virtual application '%1' could not be launched because the user is not entitled to the package to which it belongs.  Either publish the package to the user or globally and try again." />
        <string id="AppLaunch.Event.AppLaunchFailedAmbiguousVE" value="The virtual application '%1' could not be launched because the App-V Client could not determine which environment to use.  Provide a priority to the app connection group for the package and try again." />
        <string id="AppLaunch.Event.AppLaunchFailedDependentServiceFailed" value="The virtual application '%1' could not be launched because the service '%2' could not be started." />
        <string id="AppLaunch.Event.AppLaunchFailedSubsystemInitFailed" value="The virtual application '%1' could not be started because the App-V Subsystem '%2' could not be initialized. {error: %3-%4}" />
        <string id="AppLaunch.Event.AppLaunchFailedPackageNotPublished" value="The virtual environment for connection group %1 version %2 could not be created because the package %3 version %4 is not published.  Publish the package and try again." />

        <!-- Impersonation event strings -->
        <string id="Client.Event.RestoreImpersonationFailed" value="The Client service has encountered a critical security issue and must shut down immediately. {error %1-%2}" />

        <!-- Catalog event strings -->
        <string id="Client.Event.MigrateCatalogFolderFailed" value="Failed to move Catalog folder ‘%1’ to new required location ‘%2’. {error: %3}" />
        <string id="Client.Event.MigrateCatalogFolderWarning" value="Catalog folder ‘%1’ was migrated to new required location ‘%2’, but the old location could not be removed.  The Catalog will be used from the new location. {error: %3}" />
        <string id="Client.Event.MigrateCatalogFolderTargetExists" value="Catalog folder ‘%1’ was migrated to new required location ‘%2’, but the new location previously existed." />
        <string id="Client.Event.CouldNotGetCatalogFolder" value="Failed due to could not get catalog folder. {error: %1-%2}" />
        <string id="Client.Event.CorruptPackageDetectedAndRemoved" value="The package %1 version %2 was detected to be in an irreconcilable state and has been removed. Please manually remove any remaining data (by default under %ProgramData%\App-V\) when re-adding the package." />
        <string id="Client.Event.CorruptPackageGroupDetectedAndRemoved" value="The app connection group %1 version %2 was detected to be in an irreconcilable state and has been removed. Please manually remove any remaining data (by default under %ProgramData%\App-V\) when re-adding the app connection group." />

        <!-- EmbeddedScripting event strings -->
        <string id="Scripting.Event.CreateProcessFailed" value="The App-V client failed to create a process for %1 script event %2 with command line: '%3'. Windows error: %4.  The path must be a Windows application (.exe file)." />
        <string id="Scripting.Event.TimeoutElapsed" value="The App-V client waited for the designated Timeout of %1 seconds for %2 script event %3 with executable: '%4' to complete. Because the Timeout was reached, the script process was terminated. Since RollbackOnError is set to true in script definition, the current AppV Client operation was rolled back due to script timeout." />
        <string id="Scripting.Event.ManifestScriptParsingFailed" value="Parsing of Embedded Script XML in package Manifest failed. Package: %1; event name: %2; XML parsing error: %3-%4. Please ensure that the XML script section in the package manifest for event %2 is well formed." />
        <string id="Scripting.Event.AboutToCreateProcess" value="Running %1 script defined in package %2 for event %3. Script execution was initiated by User Account: '%4'; command line: '%5'." />
        <string id="Scripting.Event.ScriptDefinedButNotEnabled" value="A %1 script is defined in package %2 for event %3 but will not be run because embedded scripting is disabled for this client." />
        <string id="Scripting.Event.ScriptEnabledReadError" value="An error was encountered while reading the setting to enable scripts. Error code:  %1-%2." />
        <string id="Scripting.Event.IgnoreElapsedTimeout" value="The App-V client waited for the designated Timeout of %1 seconds for %2 script event %3 with executable: '%4' to complete. Because the Timeout was reached, the script process was terminated. Since RollbackOnError is set to false in script definition, the timeout is ignored and current AppV Client operation will continue." />
        <string id="Scripting.Event.ScriptExitErrorRollback" value="%1 script for event %2 with command line: '%3' exited with failure error code: %4. Because Rollback is set to true in the script definition, the current AppV Client operation was rolled back." />
        <string id="Scripting.Event.ScriptExitErrorIgnored" value="%1 script for event %2 with command line: '%3' exited with failure error code: %4. Because Rollback is set to false in the script definition, the script process failure is ignored and the current AppV Client operation will continue." />
        <string id="Scripting.Event.ScriptingFailedToRevertToSelf" value="Appv Client Scripting Component failed to acquire a proper token before querying Appv Client settings for Scripting, the query of the settings for Scripting may fail." />

        <!-- VFS event strings -->
        <string id="Client.Event.VfsRenameFailedForMergedDirectory" value="The move/rename of a directory was blocked by the Virtual File System because it represented the merged view of more than one package directory and/or a non-package directory." />
        <string id="Client.Event.VfsDeleteFailedForMergedDirectory" value="The delete of a directory was blocked by the Virtual File System because it represented the merged view of more than one package directory and/or a non-package directory." />
        <string id="Client.Event.VfsDeleteFailedForMergedDirectoryWithPath" value="The delete of directory '%1' was blocked by the Virtual File System because it represented the merged view of more than one package directory and/or a non-package directory." />

        <!-- Virtual Services event strings -->
        <string id="VirtualServices.ManifestConfiguration.GetServicesFromManifestFailed" value="Failed to get Virtual Service information from manifest.%n Package: %1%n Version: %2%n Error: %3-%4" />
        <string id="VirtualServices.ManifestConfiguration.UnsupportedServiceStartupType" value="Virtual Service startup type %1 is not supported. The only supported configuration values are Automatic, Manual and Disabled." />
        <string id="VirtualServices.Event.ServiceFailedToStart" value="Service %1 failed to start due to error %2." />
        <string id="VirtualServices.Event.DependentServiceStartFailed" value="DependentService %1 failed to start due to error %2." />
        <string id="VirtualServices.Event.HandlingControlMessageFailed" value="Service %1 failed while handling a control message due to error %2." />
        <string id="VirtualServices.Event.FailedToAcquireStartLock" value="Could not acquire service start lock due to error %1." />
        <string id="VirtualServices.Event.AttemptingAutoStart" value="Starting automatic service %1." />
        <string id="VirtualServices.Event.ServiceAutostartFailed" value="Automatic service %1 could not be started." />
        <string id="VirtualServices.Event.ServiceStopFailed" value="Service %1 could not be stopped." />
        <string id="VirtualServices.Event.ChangeServiceConfigFailed" value="Request to change the service configuration is rejected. Currently, changing service configuration during runtime is not supported." />
        <string id="VirtualServices.Event.DeleteServiceFailed" value="Request to delete a virtual service is rejected. Currently, deleting a service during runtime is not supported." />
        <string id="VirtualServices.Event.CreateServiceIsNotVirtual" value="Service %1 is created as a native service instead of a virtual service. Creating virtual service during runtime is not supported." />
        <string id="VirtualServices.Event.SetServiceSecurityFailed" value="Request to set virtual service security is rejected. Currently, changing service security during runtime is not supported." />

        <!-- Setting change event strings -->
        <string id="Client.Event.SettingChangesWillRequireReboot" value="The client service has encountered an error monitoring settings. Changes to some settings will not take effect until the service is restarted. {error: %1}" />

        <!-- Dynamic Configuration library event strings -->
        <string id="DynamicConfiguration.Event.LoadXMLError" value="Failed to load provided xml.%nDOM Error: %1%nReason: %2%nLine: %3%nColumn: %4%nOffset: %5" />
        <string id="DynamicConfiguration.Event.ValidateXMLError" value="Failed to validate provided xml.%nDOM Error: %1%nReason: %2" />
        <string id="DynamicConfiguration.Event.PublishNoPackagesInConnectionGroupDocument" value="Invalid connection group document format. There are no packages specified in the connection group document for connection group %1, version %2." />
        <string id="DynamicConfiguration.Event.PublishNoMandatoryPackagesInConnectionGroupDocument" value="Invalid connection group XML document format. There needs to be at least one mandatory package in the connection group XML document for connection group %1, version %2." />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshFailed" value="Failed to update the connection groups for user %1. Some virtualized applications may fail to execute properly. Error: %2" />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshOnPublishFailed" value="All of the package groups associated with the publishing of package %1, version %2 were not successfully refreshed. Error: %3" />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshOnUnpublishFailed" value="All of the package groups associated with the unpublishing of package %1, version %2 were not successfully refreshed. Error: %3" />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshOnAddFailed" value="All of the package groups associated with the adding of package %1, version %2 were not successfully refreshed. Error: %3" />
        <string id="DynamicConfiguration.Event.PublishGetPackageGroupListFailed" value="Failed to get the package groups associated with the removal of package %1, version %2. Error: %3." />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshOnRemoveFailed" value="All of the package groups associated with the removal of package %1, version %2 were not successfully refreshed. Error: %3" />
        <string id="DynamicConfiguration.Event.PublishPackageGroupRefreshOnGroupPublishFailed" value="Package group %1, version %2 was not successfully refreshed. Error: %3" />
        <string id="DynamicConfiguration.Event.PublishPackageNotAvailable" value="Mandatory package %3, version %4 specified in connection group %1, version %2 has not been added to the computer or has not been entitled to the user." />
        <string id="DynamicConfiguration.Event.FailedToDeleteUserPublishedGroup" value="Error %3-%4 occurred while attempting to delete the user publishing data associated with group %1, version %2 for user %5. The publishing data may need to be removed manually." />
        <string id="DynamicConfiguration.Event.FailedToUnpublishUserGroup" value="Error %3-%4 occurred while attempting to unpublish group %1, version %2 for user %5. This error should correct itself on the next publishing refresh for the user." />
        <string id="DynamicConfiguration.Event.UnpublishGetPackageGroupListFailed" value="Failed to get the package groups associated with the unpublish of package %1, version %2. Error: %3." />

        <!-- Client Management event strings -->
        <string id="ClientManagement.Event.PowerShellInvokeError" value="Error encountered while executing command %1. Error: %2" />
        <string id="ClientManagement.Event.PowerShellInvokeWarning" value="Warning raised while executing command %1. Warning: %2" />
        <string id="ClientManagement.Event.GetPublishingServerPropertiesError" value="Error encountered when accessing a property value of an App-V Publishing Server. This Publishing Server has been skipped." />
        <string id="ClientManagement.Event.GetConnectionGroupPropertiesError" value="Error encountered when accessing a property value of an App-V Client Connection Group. This Connection Group has been skipped." />
        <string id="ClientManagement.Event.GetPackagePropertiesError" value="Error encountered when accessing a property value of an App-V Client Package. This Package has been skipped." />
        <string id="ClientManagement.Event.GetApplicationPropertiesError" value="Error encountered when accessing a property value of an App-V Client Application. This Application has been skipped." />
        <string id="ClientManagement.Event.PackageGetApplicationsError" value="Error encountered when attempting to access the packages of an App-V Client Connection Group. This Connection Group will display no Packages." />
        <string id="ClientManagement.Event.ConnectionGroupGetPackagesError" value="Error encountered when attempting to access the applications of an App-V Client Package. This Package will display no Applications." />
        <string id="ClientManagement.Event.PowershellProcessStartOrExitError" value="Error encountered during Powershell process startup or exit while executing command '%1'." />
        <string id="ClientManagement.Event.PowershellProcessExecutionError" value="Error encountered while executing command '%1'. Please refer to the AppV Client log for error details." />
        <string id="ClientManagement.Event.GetConfigurationPropertiesError" value="Error encountered when accessing a property value of an App-V Client Configuration." />

        <!-- Subsystem Controller event strings -->
        <string id="Client.Event.SubsystemStartupError" value="Process %1 failed to start due to %4 subsystem failure. Package ID %2. Version ID %3. Error: %5-%6" />
        <string id="Client.Event.SubsystemJITVInjectionFailed" value="Unable to inject into a non-virtual process with PID %1. This process will not be able to use virtual components." />

        <!-- Client Co-existence strings -->
        <string id="ClientCoExistence.Event.ErrorTakingOverExtensionPointsFrom46" value="Could not takeover extension points ownership from legacy package %1. Error: %2" />
        <string id="ClientCoExistence.Event.ErrorGivingBackExtensionPointsTo46" value="Could not give extension points ownership back to legacy package %1. Error: %2" />
        <string id="ClientCoExistence.Event.CouldNotDeterminingLegacyAppVInstallPath" value="MigrationMode is enabled but legacy App-V Client is not installed on the machine. Managing Authority policy will not be applied for the package %1." />
        <string id="ClientCoExistence.Event.TakingOverExtensionPointsFrom46" value="Taking over extension points ownership using command: %1" />
        <string id="ClientCoExistence.Event.GivingBackExtensionPointsTo46" value="Give back extension points ownership using command: %1" />
        <string id="ClientCoExistence.Event.ErrorReadingManagingAuthorityPolicy" value="Failed reading Managing Authority policy for package %1. Error: %2-%3" />
        <string id="ClientCoExistence.Event.ErrorReadingOldManagingAuthorityPolicy" value="Failed reading old Managing Authority policy for package %1. Error: %2-%3" />
        <string id="ClientCoExistence.Event.ErrorWaitingForSFTMIMECommand" value="Error '%2' waitig for command: %1" />
        <string id="ClientCoExistence.Event.TimedoutWaitingForSFTMIMECommand" value="Timed out waitig for command: %1" />
        <string id="ClientCoExistence.Event.ErrorGettingExitCodeForSFTMIMECommand" value="Error '%2' getting exit code for command: %1" />
        <string id="ClientCoExistence.Event.SFTMIMECommandExitedWithCode" value="Command '%1' exited with code: %2" />
        
        <!-- VREG strings -->
        <string id="Client.Event.VregEnabledSettingPolicyMismatch" value="A conflict was detected in the user configuration setting for enabling the virtual registry in virtual application connection group %1 version %2. The virtual application could not be started." />

        <!-- Virtualization Manager strings -->
        <string id="VirtMan.Event.UserCowStateDeleted" value="User VFS COW state deleted for package ID %1." />
        <string id="VirtMan.Event.UserCowStateDeletionFailed" value="User VFS COW state deletion failed for package ID %1, error %2-%3." />
        <string id="VirtMan.Event.VirtualAppLaunchFailed" value="%1 application from package ID %2 failed to launch. process ID %3, error %4-%5." />
        <string id="VirtMan.Event.UserCowValidationFailed" value="User VFS COW folder validation failed for source: %1, target: %2." />
        <string id="VirtMan.Event.PublishRoamingPackagesFailed" value="Failed to publish roaming packages, error %1-%2." />
        <string id="VirtMan.Event.PublishRoamingGroupsFailed" value="Failed to publish roaming groups, error %1-%2." />
		    <string id="VirtMan.Event.VFSFolderACLModified" value="Security information for VFS directory %1 has changed from its previous value." />

        <!-- Streaming Manager event string -->
        <string id="StreamingManager.Event.BackgroundStreamingSuspended" value="App-V client is relying on a mobile network connection to stream packages.  Background streaming has been suspended due to the mobile network approaching/exceeding the data limit or roaming." />
        <string id="StreamingManager.Event.BackgroundStreamingResumed" value="App-V client has detected an unrestricted network connection or a mobile connection with sufficient remaining data capacity.  Background streaming has resumed." />
        <string id="StreamingManager.Event.LaunchSuspendedDueToCost" value="App-V client has detected that you are trying to launch a new application on a mobile network connection.  The launch has been blocked due to the mobile network approaching/exceeding the data limit or roaming." />
        <string id="StreamingManager.Event.RegistrationForCostCallbackFailed" value="Unexepected error.  The App-V client was unable to register for the network cost callback and will be unable to suspend background loads if the network cost increases." />
        <string id="StreamingManager.Event.BackgroundLoadQueueCreationFailed" value="Unexpected error %1-%2.  The App-V client was unable to start the background load queue.  Packages will not be loaded in the background automatically." />
        <string id="StreamingManager.Event.BackgroundLoadManagerRequiresStore" value="Unexpected error.  The App-V client was unable to start the background load queue properly.  Package information is not available to determine if background loads are local or remote." />
        <string id="StreamingManager.Event.BackgroundStreamingSuspendedCS" value="App-V client has entered connected standby mode.  Background streaming has been suspended." />
        <string id="StreamingManager.Event.BackgroundStreamingResumedCS" value="App-V client has exited connected standby mode.  Background streaming has resumed." />
        <string id="StreamingManager.Event.InvalidGatewayErrorInTransport" value="App-V client has detected an HTTP error 502 while attempting to stream a package.  This can be the result of a proxy server not being configured to allow a high enough rate of requests from the client to the package server." />
        <string id="StreamingManager.Event.ConfigurePackageFailedPackageNotFound" value="The package %1 version %2 could not be configured because the path %3 could not be reached.  Ensure the path is correct and try again." />
        <string id="StreamingManager.Event.ConfigurePackageFailedPackageCorrupt" value="The package %1 version %2 could not be configured because the package is corrupt.  Ensure that the package file is a valid App-V package and try again." />
        <string id="StreamingManager.Event.ConfigurePackageFailedNonNTFSPackageStore" value="The package %1 version %2 could not be configured because the package store location is not on a valid NTFS file system.  Ensure that the package store location is a valid NTFS file system and try again." />
        <string id="StreamingManager.Event.ConfigurePackageFailedInsufficientDiskSpace" value="The package %1 version %2 could not be configured due to low disk space.  Ensure that there is enough disk space and try again." />
        <string id="StreamingManager.Event.ConfigurePackageFailedInvalidURI" value="The package %1 version %2 could not be configured because the specified URL is not valid.  Ensure that the URL is valid and try again." />
        <string id="StreamingManager.Event.ConfigurePackageFailedFolderAlreadyExists" value="The package %1 version %2 could not be configured because the target location %3 already exists.  Ensure that this location is removed and try again." />
        <string id="StreamingManager.Event.MountPackageFailedConnectionLost" value="The package %1 version %2 could not be mounted because the network connection has been lost or is unavailable.  Check your network connection and try again." />
        <string id="StreamingManager.Event.MountPackageFailedInsufficientDiskSpace" value="The package %1 version %2 could not be mounted. The operation failed with HRESULT %3, probably due to low disk space.  Ensure that there is enough disk space and try again." />
        <string id="StreamingManager.Event.MountPackageFailedConnectionTimeout" value="The package %1 version %2 could not be mounted due to the network connection timing out.  Check your network connection and try again." />
        <string id="StreamingManager.Event.MountPackageFailedUserLoggedOff" value="The package %1 version %2 full mount was suspended because the user who initiated the operation has logged off." />
        <string id="StreamingManager.Event.ConfigurePackageFailedInvalidPackageArchitecture" value="The package %1 version %2 failed to be configured because the package is not valid for the current CPU architecture." />
        <string id="StreamingManager.Event.StreamFaultFailed" value="Content required by an application could not be retrieved from the network. A request for file %2 from package version %1 failed with error %3.  Check your network connection and try again." />
        <string id="StreamingManager.Event.StreamFilterInitFailed" value="The App-V Client failed to initialize properly.  The Streaming Mini-Filter failed to initialize with error code %1. Please verify that the App-V Client is installed properly." />
        <string id="StreamingManager.Event.StreamRequestProcessedAsSystem" value="A request for the file %1 from process %2 is being processed as SYSTEM since no suitable user token could be found." />
        <string id="StreamingManager.Event.StreamRequestProcessedAsAltUser" value="A request for the file %1 from process %2 is being processed as an alternate user %3." />

        <!-- ClientStreamingUX strings -->
        <string id="Client.Event.AppVErrorConnectingToServiceShuttingDown" value="The AppVStreamingUX application experienced an AppV error while attempting to connect to the AppVClient service. The AppVStreamingUX process will now exit. AppV Error: %1-%2" />
        <string id="Client.Event.ComErrorConnectingToServiceShuttingDown" value="The AppVStreamingUX application experienced a COM error while attempting to connect to the AppVClient service. The AppVStreamingUX process will now exit. HResult: %1" />
        <string id="Client.Event.ClientErrorStoppingPackageOrGroup" value="The AppVStreamingUX application experienced an AppV error while attempting to stop a package or connection group. Running Virtual Environment ID: %1, Version: %2, AppV Error: %3 - %4" />

        <!-- VOBJ strings-->
        <string id="Client.Event.VobjPackageGroupConflict" value="A conflict was detected in the configuration settings for Virtual Object exclusions in virtual application connection group %1 version %2. The virtual application could not be started. Verify that the settings are correct and try again." />
        <string id="Client.Event.VobjEnableConflict" value="A conflict was detected in the 'enabled' setting for Virtual Object subsystem in virtual application connection group %1 version %2. The virtual application could not be started. Verify that the settings are correct and try again." />
        <string id="Client.Event.VobjSettingsMismatch" value="The connection group %1 version %2 could not be published because the virtual objects settings of the individual packages conflict. Verify that the virtual objects settings are the same for all member packages and try again.%nError code: %3 - %4" />
        <string id="Client.Event.PublishPackageVobjSettingsMismatch" value="Failed to publish package %1 version %2 because its virtual objects settings do not match those of other packages in connection group %3 version %4.%nVerify that the virtual objects settings are the same for all member packages and try again.%nError code: %5 - %6" />

        <!-- Reporting strings -->
        <string id="Reporting.Event.SaveCachePathToRegistryFailed" value="Failed to save last report data cache file path %1 to the registry due to error %2.  If there is a Client failure before the next save attempt, and the report data must be loaded from the cache, some records may be missing." />
        <string id="Reporting.Event.SaveAfterCacheUpdateFailed" value="Failed to save updated cached file after upload due to error %1-%2; duplicate records may be sent to the server if the cache must be reloaded before the next save attempt." />
        <string id="Reporting.Event.BadReportCacheFile" value="Reporting data cache could not be loaded from %1 due to error %2-%3.  A new report data cache file will be generated and saved separately.  Any report data from the previous cache file will be lost." />
        <string id="Reporting.Event.ReportRecordProcessingAborted" value="Reporting data manager queue worker thread is exiting on unexpected wait condition %1, error code %2.  No further report records will be processed." />
        <string id="Reporting.Event.ReportingDataSaveFailed" value="Reporting data cache could not be saved to disk after adding new records (rc = %1-%2); those records may be lost if the Client shuts down before the next attempt to save or transmit the cache." />
        <string id="Reporting.Event.ReportingCacheRollover" value="Reporting data cache has exceeded the maximum cache size, and older records will be discarded to make room for new records until the cache can be transmitted to a Reporting Server." />
        <string id="Reporting.Event.FailedToSendReportingData" value="Reporting data cache could not be sent to Reporting Server. (rc = %1-%2)." />
        <string id="Reporting.Event.FailedToAddProcessLaunchData" value="Failed to add application launch data to the reporting queue. This application launch will not be reported to the reporting server. (rc = %1-%2)." />
        <string id="Reporting.Event.FailedToAddProcessTerminationData" value="Failed to add application shutdown data to the reporting queue. This application shutdown will not be reported to the reporting server. (rc = %1-%2)." />
        <string id="Reporting.Event.FailedToHandleVirtualEnvironmentCreated" value="Failed to add virtual environment created data for the launching application. The application launch will not be reported to the reporting server. (rc = %1-%2)." />
        <string id="Reporting.Event.FailedToHandleVirtualEnvironmentTerminated" value="Failed to add virtual environment terminated data for the terminating application. The application shutdown will not be reported to the reporting server. (rc = %1-%2)." />
        <string id="Reporting.Event.FailedToHandleProcessLaunchFailure" value="Failed to add virtual process launch failure information for the terminating process. The application launch failure will not be reported to the reporting server. (rc = %1-%2)." />

        <!-- Publishing Refresh strings -->
        <string id="Publishing.Event.RefreshStart" value="Publishing Refresh started.%n URL: %1%n Global: %2" />
        <string id="Publishing.Event.RefreshStop" value="Publishing Refresh stopped.%n URL: %1%n Global: %2%n Return code: %3 - %4" />
        <string id="Publishing.Event.SettingsSynced" value="Settings synced.%n Return code: %1 - %2" />
        <string id="Publishing.Event.SettingsSyncFailed" value="Settings sync failed.%n Error code: %1 - %2" />
        <string id="Publishing.Event.GetClientInfoFailed" value="Getting client information failed.%n Error code: %1 - %2" />
        <string id="Publishing.Event.GetServerDataFailed" value="Getting server publishing data failed.%n URL: %1%n Error code: %2 - %3" />
        <string id="Publishing.Event.GetClientDataFailed" value="Getting client published data failed.%n Error code: %1 - %2" />
        <string id="Publishing.Event.PartialOrNonePackagesPublished" value="Part or all packages publish failed.%n published: %1%n failed: %2 %nPlease check the error events of 'Configure/Publish Package' before this message for the details of the failure."/>
        <string id="Publishing.Event.PartialOrNonePackagesUnPublished" value="Part or all packages un-publish failed.%n un-published: %1%n failed: %2 %nPlease check the error events of 'Unpublish Package' before this message for the details of the failure." />
        <string id="Publishing.Event.PartialOrNoneGroupsPublished" value="Part or all groups publish failed.%n published: %1%n failed: %2 %nPlease check the error events of 'Configure/Publish Virtual Application Connection Group' before this message for the details of the failure." />
        <string id="Publishing.Event.PartialOrNoneGroupsUnPublished" value="Part or all groups un-publish failed.%n un-published: %1%n failed: %2 %nPlease check the error events of 'Unpublish Virtual Application Connection Group' before this message for the details of the failure." />
        <string id="Publishing.Event.GroupFailedDueToPackageFailure" value="Failed to publish group due to the failure of the package.%n Group GUID: %1%n Group Version GUID: %2%n Package GUID: %3" />
        <string id="Publishing.Event.ServerProtocolUnknown" value="Unknown protocol for package URI.%n input: %1" />        
        <string id="Publishing.Event.HttpRequestInitializeFailed" value="HttpRequest initialize failed.%n URL: %1%n Error code: %2 - %3" />        
        <string id="Publishing.Event.HttpRequestSendRequestFailed" value="HttpRequest sendRequest failed.%n URL: %1%n Error code: %2 - %3" />
        <string id="Publishing.Event.HttpContentCannotCovertToUnicode" value="The content could not be coverted to unicode.%n URL: %1" />
        <string id="Publishing.Event.InvalidXmlContentFromServer" value="The content from server is not valid XML for publishing.%n URL: %1%n Error code: %2 - %3" />
        <string id="Publishing.Event.CreateDefaultMachinePolicyDocumentFailed" value="Failed to create default machine policy document.%n Package: %1, %2%n Error code: %3 - %4" />
        <string id="Publishing.Event.CreateMachinePolicyDocumentFailed" value="Failed to create machine policy document from string.%n Package: %1, %2%n Error code: %3 - %4" />
        <string id="Publishing.Event.CreateUserPolicyDocumentFailed" value="Failed to create user policy document from string.%n Package: %1, %2%n Error code: %3 - %4" />
        <string id="Publishing.Event.CreatePackageGroupDescriptorDocumentFailed" value="Failed to create package group descriptor document from string.%n Group: %1, %2%n Error code: %3 - %4" />        
        <string id="Publishing.Event.ConfigServerReadRegFailed" value="Failed to get publishing server record from registry.%n Server ID: %1%n Error code: %2 - %3" />
        <string id="Publishing.Event.ConfigServerDuplicatedUrl" value="The URL has already been used by other publishing server.%n Server ID: %1%n URL: %2" />
        <string id="Publishing.Event.ConfigServerNoUrl" value="No URL was supplied for the publishing server.%n Server ID: %1" />
        <string id="Publishing.Event.ConfigServerIdOutOfRange" value="The ID for the publishing server is out of the range.%n Server ID: %1%n Valid Range: [1~5]" />
        <string id="Publishing.Event.ConfigServerHourOutOfRange" value="The interval of hours for the publishing server is out of the range.%n Server ID: %1%n Interval: %2%n Valid Range: [0~23]" />
        <string id="Publishing.Event.ConfigServerInvalidIntervalUnit" value="The interval unint for the publishing server is not valid.%n Server ID: %1%n Interval Unit: %2%n Valid Values: 0/Hour, 1/Day" />
        <string id="Publishing.Event.InvalidServerURL" value="The stored URL %1 for the server %2 is incorrectly formatted." />
        <string id="Publishing.Event.ConfigServerDayOutOfRange" value="The interval of days for the publishing server is out of the range.%n Server ID: %1%n Interval: %2%n Valid Range: [0~365]" />        
        <string id="Publishing.Event.DeimpersonationFailed" value="Deimpersonation failed.%n Error: %1 - %2." />
        <string id="Publishing.Event.ReadPolicyIdsFailed" value="Read policy identities failed.%n URL: %1%n Global: %2%n For deployment configuration: %3%n Error: %4 - %5." />
        <string id="Publishing.Event.WritePolicyIdsFailed" value="Write policy identities failed.%n URL: %1%n Global: %2%n For deployment configuration: %3%n Error: %4 - %5." />
        <string id="Publishing.Event.RefreshShellSucceeded" value="File type associations, shell extensions, and shortcuts updated." />
        <string id="Publishing.Event.RefreshShellFailed" value="Failed to update file type associations, shell extensions, and shortcuts.%n Error: %1 - %2." />
        <string id="Publishing.Event.SyncAppvPublishingServerComplete" value="SyncAppvPublishingServer completed successfully: '%1'." />
        <string id="Publishing.Event.SyncAppvPublishingServerPowerShellError" value="SyncAppvPublishingServer failed due to a PowerShell error.%nError: '%1'" />

        <!-- VCOM strings -->
        <string id="VCOM.Event.SettingsMismatch" value="The connection group %1 version %2 could not be published because the virtual COM settings of the individual packages conflict.  Verify that the virtual COM settings are the same for all member packages and try again.%nError code: %3 - %4" />
        <string id="VCOM.Event.PublishPackageSettingsMismatch" value="Package %1 version %2 could not be published because its virtual COM settings conflict with those of other packages in connection group %3-%4.  Verify that the virtual COM settings are the same for all member packages and try again.%nError code: %5 - %6" />

        <!-- VFS strings -->
        <string id="VFS.Event.PublishPackageSettingsMismatch" value="Package %1 version %2 could not be published because its virtual file system settings conflict with other packages in connection group %3-%4.  Verify that the virtual COM settings are the same for all member packages and try again.%nError code: %5 - %6" />
        
        <!-- Integration strings -->
        <string id="Integration.Event.JITVEnabledReadError" value="An error was encountered while reading the setting to enable or disable Dynamic Virtualization. Dynamic Virtualization is enabled by default and can be modified using the Set-AppvClientConfiguration Powershell cmdlet. Error code:  %1-%2." />
        <string id="Integration.Event.JITVIsDisabled" value="Dynamic Virtualization is currently disabled. Publishing will not take effect for shell extensions, browser plugins, or ActiveX controls. To modify this setting, use the Set-AppVClientConfiguration Powershell cmdlet." />

        <!-- SxS strings -->
        <string id="SxS.Event.FailedToRegisterAssembly" value="The SxS assembly '%1' could not be installed because its payload file '%2' is not part of the package. Please ensure this assembly is installed natively to ensure package functionality." />

        <!-- Streaming driver strings -->
        <string id="StreamingFilter.Event.SendMessageTimeout" value="A timeout occurred while streaming an application, which may have prevented the application from running. The application should start successfully the next time it is launched." />

      </stringTable>
    </resources>
  </localization>
</instrumentationManifest>
